<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * AdministradorPrecios Controller
 *
 * @property \App\Model\Table\AdministradorPreciosTable $AdministradorPrecios
 *
 * @method \App\Model\Entity\AdministradorPrecio[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AdministradorPreciosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $administradorPrecios = $this->paginate($this->AdministradorPrecios);

        $this->set(compact('administradorPrecios'));
    }

    /**
     * View method
     *
     * @param string|null $id Administrador Precio id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $administradorPrecio = $this->AdministradorPrecios->get($id, [
            'contain' => []
        ]);

        $this->set('administradorPrecio', $administradorPrecio);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $administradorPrecio = $this->AdministradorPrecios->newEntity();
        if ($this->request->is('post')) {
            $administradorPrecio = $this->AdministradorPrecios->patchEntity($administradorPrecio, $this->request->getData());
            if ($this->AdministradorPrecios->save($administradorPrecio)) {
                $this->Flash->success(__('The administrador precio has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The administrador precio could not be saved. Please, try again.'));
        }
        $this->set(compact('administradorPrecio'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Administrador Precio id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $administradorPrecio = $this->AdministradorPrecios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $administradorPrecio = $this->AdministradorPrecios->patchEntity($administradorPrecio, $this->request->getData());
            if ($this->AdministradorPrecios->save($administradorPrecio)) {
                $this->Flash->success(__('El administrador de precio modificado correctamente!'));

                return $this->redirect(['action' => 'view/1']);
            }
            $this->Flash->error(__('The administrador precio could not be saved. Please, try again.'));
        }
        $this->set(compact('administradorPrecio'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Administrador Precio id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $administradorPrecio = $this->AdministradorPrecios->get($id);
        if ($this->AdministradorPrecios->delete($administradorPrecio)) {
            $this->Flash->success(__('The administrador precio has been deleted.'));
        } else {
            $this->Flash->error(__('The administrador precio could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
