<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Aprobarventaentregas Controller
 *
 * @property \App\Model\Table\AprobarventaentregasTable $Aprobarventaentregas
 *
 * @method \App\Model\Entity\Aprobarventaentrega[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AprobarventaentregasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $aprobarventaentregas = $this->paginate($this->Aprobarventaentregas);

        $this->set(compact('aprobarventaentregas'));
    }

    /**
     * View method
     *
     * @param string|null $id Aprobarventaentrega id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $aprobarventaentrega = $this->Aprobarventaentregas->get($id, [
            'contain' => []
        ]);

        $this->set('aprobarventaentrega', $aprobarventaentrega);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $aprobarventaentrega = $this->Aprobarventaentregas->newEntity();
        if ($this->request->is('post')) {
            $aprobarventaentrega = $this->Aprobarventaentregas->patchEntity($aprobarventaentrega, $this->request->getData());
            if ($this->Aprobarventaentregas->save($aprobarventaentrega)) {
                $this->Flash->success(__('The aprobarventaentrega has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The aprobarventaentrega could not be saved. Please, try again.'));
        }
        $this->set(compact('aprobarventaentrega'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Aprobarventaentrega id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $aprobarventaentrega = $this->Aprobarventaentregas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $aprobarventaentrega = $this->Aprobarventaentregas->patchEntity($aprobarventaentrega, $this->request->getData());
            if ($this->Aprobarventaentregas->save($aprobarventaentrega)) {
                $this->Flash->success(__('The aprobarventaentrega has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The aprobarventaentrega could not be saved. Please, try again.'));
        }
        $this->set(compact('aprobarventaentrega'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Aprobarventaentrega id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $aprobarventaentrega = $this->Aprobarventaentregas->get($id);
        if ($this->Aprobarventaentregas->delete($aprobarventaentrega)) {
            $this->Flash->success(__('The aprobarventaentrega has been deleted.'));
        } else {
            $this->Flash->error(__('The aprobarventaentrega could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
