<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Aprobarventapagares Controller
 *
 * @property \App\Model\Table\AprobarventapagaresTable $Aprobarventapagares
 *
 * @method \App\Model\Entity\Aprobarventapagare[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AprobarventapagaresController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $aprobarventapagares = $this->paginate($this->Aprobarventapagares);

        $this->set(compact('aprobarventapagares'));
    }

    /**
     * View method
     *
     * @param string|null $id Aprobarventapagare id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $aprobarventapagare = $this->Aprobarventapagares->get($id, [
            'contain' => []
        ]);

        $this->set('aprobarventapagare', $aprobarventapagare);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $aprobarventapagare = $this->Aprobarventapagares->newEntity();
        if ($this->request->is('post')) {
            $aprobarventapagare = $this->Aprobarventapagares->patchEntity($aprobarventapagare, $this->request->getData());
            if ($this->Aprobarventapagares->save($aprobarventapagare)) {
                $this->Flash->success(__('The aprobarventapagare has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The aprobarventapagare could not be saved. Please, try again.'));
        }
        $this->set(compact('aprobarventapagare'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Aprobarventapagare id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $aprobarventapagare = $this->Aprobarventapagares->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $aprobarventapagare = $this->Aprobarventapagares->patchEntity($aprobarventapagare, $this->request->getData());
            if ($this->Aprobarventapagares->save($aprobarventapagare)) {
                $this->Flash->success(__('The aprobarventapagare has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The aprobarventapagare could not be saved. Please, try again.'));
        }
        $this->set(compact('aprobarventapagare'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Aprobarventapagare id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $aprobarventapagare = $this->Aprobarventapagares->get($id);
        if ($this->Aprobarventapagares->delete($aprobarventapagare)) {
            $this->Flash->success(__('The aprobarventapagare has been deleted.'));
        } else {
            $this->Flash->error(__('The aprobarventapagare could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
