<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Asignarchofers Controller
 * 
 * @property \App\Model\Table\AsignarchofersTable $Asignarchofers
 *
 * @method \App\Model\Entity\Asignarchofer[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AsignarchofersController extends AppController
{
    /**
     * Index method
     *
     * @return \Cake\Http\Response|null
     */
    public function index()
    {
        $asignarchofers = $this->paginate($this->Asignarchofers);

        $this->set(compact('asignarchofers'));
    }

    /**
     * View method
     *
     * @param string|null $id Asignarchofer id.
     * @return \Cake\Http\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $asignarchofer = $this->Asignarchofers->get($id, [
            'contain' => [],
        ]);

        $this->set('asignarchofer', $asignarchofer);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $asignarchofer = $this->Asignarchofers->newEntity();
        if ($this->request->is('post')) {
            $asignarchofer = $this->Asignarchofers->patchEntity($asignarchofer, $this->request->getData());
            if ($this->Asignarchofers->save($asignarchofer)) {
                $this->Flash->success(__('Se guardo correctamente!'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('Error al registrar, intente nuevamente!'));
        }
        $this->set(compact('asignarchofer'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Asignarchofer id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $asignarchofer = $this->Asignarchofers->get($id, [
            'contain' => [],
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $asignarchofer = $this->Asignarchofers->patchEntity($asignarchofer, $this->request->getData());
            if ($this->Asignarchofers->save($asignarchofer)) {
                $this->Flash->success(__('Modificado correctamente!'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('Error al modificar, intente de nuevo!'));
        }
        $this->set(compact('asignarchofer'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Asignarchofer id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $asignarchofer = $this->Asignarchofers->get($id);
        if ($this->Asignarchofers->delete($asignarchofer)) {
            $this->Flash->success(__('Elimando correctamente!'));
        } else {
            $this->Flash->error(__('Error al eliminar dato, intente de nuevo!'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
