<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Autorizarrefuerzos Controller
 *
 * @property \App\Model\Table\AutorizarrefuerzosTable $Autorizarrefuerzos
 *
 * @method \App\Model\Entity\Autorizarrefuerzo[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AutorizarrefuerzosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'conditions' => [
                  'estado' => 0
            ]
        ]; 
        $autorizarrefuerzos = $this->paginate($this->Autorizarrefuerzos);

        $this->set(compact('autorizarrefuerzos'));
    }

    /**
     * View method
     *
     * @param string|null $id Autorizarrefuerzo id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $autorizarrefuerzo = $this->Autorizarrefuerzos->get($id, [
            'contain' => []
        ]);

        $this->set('autorizarrefuerzo', $autorizarrefuerzo);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $autorizarrefuerzo = $this->Autorizarrefuerzos->newEntity();
        if ($this->request->is('post')) {
            $autorizarrefuerzo = $this->Autorizarrefuerzos->patchEntity($autorizarrefuerzo, $this->request->getData());
            if ($this->Autorizarrefuerzos->save($autorizarrefuerzo)) {
                $this->Flash->success(__('The autorizarrefuerzo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The autorizarrefuerzo could not be saved. Please, try again.'));
        }
        $this->set(compact('autorizarrefuerzo'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Autorizarrefuerzo id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $autorizarrefuerzo = $this->Autorizarrefuerzos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $autorizarrefuerzo = $this->Autorizarrefuerzos->patchEntity($autorizarrefuerzo, $this->request->getData());
            if ($this->Autorizarrefuerzos->save($autorizarrefuerzo)) {
                $this->Flash->success(__('The autorizarrefuerzo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The autorizarrefuerzo could not be saved. Please, try again.'));
        }
        $this->set(compact('autorizarrefuerzo'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Autorizarrefuerzo id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $autorizarrefuerzo = $this->Autorizarrefuerzos->get($id);
        if ($this->Autorizarrefuerzos->delete($autorizarrefuerzo)) {
            $this->Flash->success(__('The autorizarrefuerzo has been deleted.'));
        } else {
            $this->Flash->error(__('The autorizarrefuerzo could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }

    public function aprobar($id = null)
    {
        $autorizarrefuerzo = $this->Autorizarrefuerzos->get($id, [
            'contain' => []
        ]);
       
            $autorizarrefuerzo->estado = 1;
            if ($this->Autorizarrefuerzos->save($autorizarrefuerzo)) {
                return $this->redirect(['action' => 'index']);
            }
        
    }

    public function rechazar($id = null)
    {
        $autorizarrefuerzo = $this->Autorizarrefuerzos->get($id, [
            'contain' => []
        ]);
        
            $autorizarrefuerzo->estado = 2;
            if ($this->Autorizarrefuerzos->save($autorizarrefuerzo)) {
                return $this->redirect(['action' => 'index']);
            }
        
    }
}
