<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;




/**
 * Chaperias Controller
 *
 * @property \App\Model\Table\ChaperiasTable $Chaperias
 *
 * @method \App\Model\Entity\Chaperia[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class ChaperiasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {

        $search = null;
        if(!empty($this->request->query['searchcargados'])){
            $searchs = $this->request->query['searchcargados'];
            $condicion = "UPPER(chasis) LIKE '%" . strtoupper($searchs) . "%' and tipotrabajo = 1" ;
            $this->paginate = [
                'conditions' => [$condicion],
                'order' => ['Chaperias.id' => 'desc'],
                'contain' => ['funcionariochaperia']
            ];

            $chaperias = $this->paginate($this->Chaperias );
    
            $this->set(compact('chaperias'));
        }else{
            $this->paginate = [
                'conditions' => 'tipotrabajo = 1',
                'order' => [
                   'chaperias.id' => 'desc'
                ],
                'contain' => ['funcionariochaperia']
            ];
    
            $chaperias = $this->paginate($this->Chaperias);
            $this->set(compact('chaperias'));
        }
        
    }

    public function index2()
    {

        $condicion = 'chaperias.empleado = ' .  $this->Auth->User('empleado') ;
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'chaperias.id' => 'asc'
            ],
            'contain' => []
            
        ];

        $chaperias = $this->paginate($this->Chaperias);

        $this->set(compact('chaperias'));
    }

    /**
     * View method
     *
     * @param string|null $id Chaperia id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $chaperia = $this->Chaperias->get($id, [
            'contain' => []
        ]);

        $this->set('chaperia', $chaperia);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($chasis = null)
    {
        $chaperia = $this->Chaperias->newEntity();
        if ($this->request->is('post')) {
            $chaperia = $this->Chaperias->patchEntity($chaperia, $this->request->getData());
           // debug($chaperia); exit();
            $chaperia->chasis = $chasis;
            //$chaperia->empleado = $this->Auth->User('empleado');
            $Funcionario  =  TableRegistry::get('funcionariochaperia');
            $funcionario = $Funcionario->get($chaperia->empleado);

            $chaperia->usuarioapp = $funcionario->usuario;
            $chaperia->fecha = date('d/m/Y');
            $chaperia->total = $chaperia->monto * $chaperia->cantidadpieza;
            $chaperia->entrega = 0;
            $chaperia->estado = 0;

            if ($this->Chaperias->save($chaperia)) { 
                
                return $this->redirect(['action' => 'busqueda']);
            }
            $this->Flash->error(__('No se cargo. Favor, intente de nuevo.'));
        }

        $empleados  =  TableRegistry::get('funcionariochaperia');
        $sqlempleado = "borrado = 0";
        $queryemple = $empleados->find('list', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        
        $colores  =  TableRegistry::get('colors');
        $querycolor = $colores->find('list');

        $this->set('funcionario', $queryemple);
        $this->set('color', $querycolor);

        $this->set(compact('chaperia'));
    }


    public function modi($id = null)
    {
        $chaperia = $this->Chaperias->get($id, [
            'contain' => []
        ]);

        if ($this->request->is(['patch', 'post', 'put'])) {

            $chaperia = $this->Chaperias->patchEntity($chaperia, $this->request->getData());
           
            $Funcionario  =  TableRegistry::get('funcionariochaperia');
            $funcionario = $Funcionario->get($chaperia->empleado);

            $chaperia->usuarioapp = $funcionario->usuario;
            $chaperia->fecha = date('d/m/Y');
            $chaperia->total = $chaperia->monto * $chaperia->cantidadpieza;
            $chaperia->entrega = 0;
            $chaperia->estado = 0;

            if ($this->Chaperias->save($chaperia)) { 
                
                return $this->redirect(['action' => 'busqueda']);
            }
            $this->Flash->error(__('No se cargo. Favor, intente de nuevo.'));
        }

        $empleados  =  TableRegistry::get('funcionariochaperia');
        $sqlempleado = "borrado = 0";
        $queryemple = $empleados->find('list', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        
        $colores  =  TableRegistry::get('colors');
        $querycolor = $colores->find('list');

        $this->set('funcionario', $queryemple);
        $this->set('color', $querycolor);

        $this->set(compact('chaperia'));
    }
    
    public function modificar($id = null)
    {
        $chaperia = $this->Chaperias->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $chaperia = $this->Chaperias->patchEntity($chaperia, $this->request->getData());
            ///$chaperia->chasis = $chasis;
            //$chaperia->empleado = $this->Auth->User('empleado');
            $Funcionario  =  TableRegistry::get('funcionariochaperia');
            $funcionario = $Funcionario->get($chaperia->empleado);

            $chaperia->usuarioapp = $funcionario->usuario;
            $chaperia->fecha = date('d/m/Y');
            $chaperia->total = $chaperia->monto * $chaperia->cantidadpieza;
            $chaperia->entrega = 0;
            $chaperia->estado = 0;

            if ($this->Chaperias->save($chaperia)) {
                
                return $this->redirect(['action' => 'busqueda']);
            }
            $this->Flash->error(__('No se cargo. Favor, intente de nuevo.'));
        }

        $empleados  =  TableRegistry::get('funcionariochaperia');
        $sqlempleado = "borrado = 0";
        $queryemple = $empleados->find('list', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        
        $colores  =  TableRegistry::get('colors');
        $querycolor = $colores->find('list');

        $this->set('funcionario', $queryemple);
        $this->set('color', $querycolor);

        $this->set(compact('chaperia'));
    }


    /**
     * Edit method
     *
     * @param string|null $id Chaperia id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $chaperia = $this->Chaperias->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $chaperia = $this->Chaperias->patchEntity($chaperia, $this->request->getData());
            if ($this->Chaperias->save($chaperia)) {
                $this->Flash->success(__('The chaperia has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The chaperia could not be saved. Please, try again.'));
        }
        $this->set(compact('chaperia'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Chaperia id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $chaperia = $this->Chaperias->get($id);
        if ($this->Chaperias->delete($chaperia)) {
            $this->Flash->success(__('The chaperia has been deleted.'));
        } else {
            $this->Flash->error(__('The chaperia could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'busqueda']);
    }

     public function busqueda()
    {
        $search = null;
        if(!empty($this->request->query['search']) or !empty($this->request->query['searchcargados'])){

            if(!empty($this->request->query['search'])){
                $search = $this->request->query['search'];
                $terms = explode(' ', trim($search));
                $terms = array_diff($terms, array(''));
            
                foreach($terms as $term){
                    $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                    $conditions[] = array('UPPER(chasis) LIKE' => '%' . strtoupper($term) . '%');
                }
                $inventarios  =  TableRegistry::get('listadoautos');
                $query = $inventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'order' => ['id' => 'asc']));
                
                $terms1 = array_diff($terms1, array(''));
                $this->set(compact('search', 'terms1'));
                
                
                $autoss = TableRegistry::get('stocktodos');
                $subquery = $autoss->find('all', [
                    'recursive' => -1,
                    'conditions' => $conditions,
                    'order' => ['id' => 'asc']
                ]);
                
                //$query->union($subquery);

                $this->set('imagenapps2', $subquery);
                $this->set('imagenapps', $query);
            }else {
                $this->set('search', '');
            }

            
            if(!empty($this->request->query['searchcargados'])){
                $searchs = $this->request->query['searchcargados'];
                $condicion = "UPPER(chasis) LIKE '%" . strtoupper($searchs) . "%'" ;
                $this->paginate = [
                    'conditions' => [$condicion],
                    'order' => ['Chaperias.id' => 'desc']
                ];

                $chaperias = $this->paginate($this->Chaperias );
        
                $this->set(compact('chaperias'));
             }else{
                $this->paginate = [
                    'order' => ['Chaperias.id' => 'desc'],
                    'sortWhitelist' => ['Chaperias.id']
                ];
                $chaperias = $this->paginate($this->Chaperias);
                $this->set(compact('chaperias'));
             }
                
        }else {
            $this->set('search', '');

            $this->paginate = [
            
            
                'contain' => [],
                'order'  => array(
                    'Chaperias.id' => 'desc'
                ),
                'sortWhitelist' => ['Chaperias.id']
                
            ];
            $chaperias = $this->paginate($this->Chaperias);
            $this->set(compact('chaperias'));


        }


        $user = $this->Chaperias->find()->select(['id' => 'MAX(Chaperias.id)'])->where(['empleado' => 6]); 

        $idnestor = 0;
        foreach ($user as $chaperia): 
            $idnestor =$chaperia->id;
        endforeach;

        if($idnestor >0 ){
            $chaperiass = $this->Chaperias->get($idnestor, [
                'contain' => []
            ]);
    
            $this->set('chaperianestor', $chaperiass);
        }


        $hoy = getdate();
             $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year']; 

        $conn = ConnectionManager::get('default');
        $sql = "select sum(cantidadpieza * comision) as suma , sum(cantidadpieza) as cantidad from chaperias where tipotrabajo = 1 AND comision > 0 and estado = 2  and to_date(fechaultimaentrega,'dd/MM/yyyy') >= '".$fecha."'";
        $stmt = $conn->execute($sql);
        $results = $stmt ->fetchAll('assoc');
        $monto = 0;
        $cantidad = 0;
        foreach ($results as $chaperia): 
            $monto = $chaperia[suma];
            $cantidad = $chaperia[cantidad];
        endforeach;
        
        $conn->disconnect();

        $this->set('chaperiacomision', $monto);

        $this->set('chaperiacantidad', $cantidad);
       /*
      
        $connection = ConnectionManager::get('local');
        $sqls = "select version from actualizar_sistema";
        $stmts = $connection->execute($sqls);
        $resultsr = $stmts->fetchAll('assoc');
        $ver = 0;
       
        foreach ($resultsr as $chaperia): 
            $ver = $chaperia[version];
        endforeach;     


        $connection->disconnect();
        
        $this->set('ver', $ver);*/
    }

    public function agregar(){

        
            $hoy = getdate();
            $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year']; 

            $conn = ConnectionManager::get('default');
            $sql = "select sum(cantidadpieza * comision) as suma , sum(cantidadpieza) as cantidad from chaperias where tipotrabajo = 1 AND comision > 0 and estado = 2  and to_date(fechaultimaentrega,'dd/MM/yyyy') >= '".$fecha."'";
            $stmt = $conn->execute($sql);
            $results = $stmt ->fetchAll('assoc');
            $monto = 0;
            $cantidad = 0;
            foreach ($results as $chaperia): 
                $monto = $chaperia[suma];
                $cantidad = $chaperia[cantidad];
            endforeach;
            
            $conn->disconnect();


            $chaperia = $this->Chaperias->newEntity();

            $chaperia->fecha = date('d/m/Y');
            $chaperia->empleado = 6;
            $chaperia->usuarioapp = 48;
            $chaperia->chasis = "COMISION CHAPERIA";
            $chaperia->monto = $monto;
            $chaperia->cantidadpieza = 1;
            $chaperia->total = $monto;
            $chaperia->entrega = 0;
            $chaperia->estado = 1;
            $chaperia->observacion = "COMISION DE NESTOR";
            $chaperia->comision = 0;
            $chaperia->tipotrabajo = 1;

            if ($this->Chaperias->save($chaperia)) { 
                
                return $this->redirect(['action' => 'busqueda']);
            }


        
    }

    public function lavadero()
    {
        $search = null;
        if(!empty($this->request->query['search'])){

            if(!empty($this->request->query['search'])){
                $search = $this->request->query['search'];
                $terms = explode(' ', trim($search));
                $terms = array_diff($terms, array(''));
            
                foreach($terms as $term){
                    $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                    $conditions[] = array('UPPER(chasis) LIKE' => '%' . strtoupper($term) . '%');
                }
                $inventarios  =  TableRegistry::get('stocktodos');
                $query = $inventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'order' => ['id' => 'asc']));
                $terms1 = array_diff($terms1, array(''));
                $this->set(compact('search', 'terms1'));
                
                $this->set('imagenapps', $query);
            }else {
                $this->set('search', '');
            }

           
                
        }else {
            $this->set('search', '');

        
        }


    }


    public function terminado($id = null)
    {
        $chaperia = $this->Chaperias->get($id, [
            'contain' => []
        ]);
        $chaperia->estado = 1;
        if ($this->Chaperias->save($chaperia)) {
                $this->Flash->success(__('Marcado como terminado'));

                return $this->redirect(['action' => 'busqueda']);
        }
           
        
    }

    public function todoterminado()
    { 

        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE chaperias SET estado=? WHERE estado = ?', [1, 0] );
            
        $connection->commit();
        $connection->disconnect();
       
        return $this->redirect(['action' => 'busqueda']);

    }

}
