<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Choferes Controller
 *
 * @property \App\Model\Table\ChoferesTable $Choferes
 *
 * @method \App\Model\Entity\Chofere[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class ChoferesController extends AppController
{
    
      public function initialize() {
        parent::initialize();
        $this->loadComponent( 'RequestHandler' );
    }
    
    public function beforeFilter(\Cake\Event\Event $event)
    {
        parent::beforeFilter($event);
        $this->Auth->allow(['ajaxdelete']);
    }
    
    /**
     * Index method
     *
     * @return \Cake\Http\Response|null
     */
    public function index()
    {
        $choferes = $this->paginate($this->Choferes);

        $this->set(compact('choferes'));
    }

    /**
     * View method
     *
     * @param string|null $id Chofere id.
     * @return \Cake\Http\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $chofere = $this->Choferes->get($id, [
            'contain' => [],
        ]);

        $this->set('chofere', $chofere);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $chofere = $this->Choferes->newEntity();
        if ($this->request->is('post')) {
            $chofere = $this->Choferes->patchEntity($chofere, $this->request->getData());
            if ($this->Choferes->save($chofere)) {
                $this->Flash->success(__('Se guardo correctamente!'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('Error al registrar, intente nuevamente!'));
        }
        $this->set(compact('chofere'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Chofere id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $chofere = $this->Choferes->get($id, [
            'contain' => [],
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $chofere = $this->Choferes->patchEntity($chofere, $this->request->getData());
            if ($this->Choferes->save($chofere)) {
                $this->Flash->success(__('Modificado correctamente!'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('Error al modificar, intente de nuevo!'));
        }
        $this->set(compact('chofere'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Chofere id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $chofere = $this->Choferes->get($id);
        if ($this->Choferes->delete($chofere)) {
            $this->Flash->success(__('Elimando correctamente!'));
        } else {
            $this->Flash->error(__('Error al eliminar dato, intente de nuevo!'));
        }

        return $this->redirect(['action' => 'index']);
    }
    
      public function ajaxdelete( $id = null ) {
        //$this->autoRender = false;
       
       $this->render(false);
       
       
        if ($this->request->is('post')) {
                $connection = ConnectionManager::get('default');
                $connection->execute('INSERT INTO tags(title)  VALUES (?);', [$id . "-id - " . $this->request->getData("id") . " -- " . $this->request->getData("vend") ]);
                $connection->commit();
                $connection->disconnect();
        }
    

    }
    
    public function ver() {
        $choferes = $this->paginate( $this->Choferes );

        $this->set( compact( 'choferes' ) );
    }
    
}
