<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * DepositosUbicas Controller
 *
 * @property \App\Model\Table\DepositosUbicasTable $DepositosUbicas
 *
 * @method \App\Model\Entity\DepositosUbica[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class DepositosUbicasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['Depositos', 'Ubicas']
        ];
        $depositosUbicas = $this->paginate($this->DepositosUbicas);

        $this->set(compact('depositosUbicas'));
    }

    /**
     * View method
     *
     * @param string|null $id Depositos Ubica id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $depositosUbica = $this->DepositosUbicas->get($id, [
            'contain' => ['Depositos', 'Ubicas']
        ]);

        $this->set('depositosUbica', $depositosUbica);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */

    
    public function add($chasis = null)
    {
        $depositosUbica = $this->DepositosUbicas->newEntity();
        if ($this->request->is('post')) {
            $depositosUbica = $this->DepositosUbicas->patchEntity($depositosUbica, $this->request->getData());
            $depositosUbica->chasis = $chasis;
            $depositosUbica->estado = 0;
            $hoy = getdate();
            $depositosUbica->fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            $depositosUbica->hora = $hoy['hours'].":".$hoy['minutes'].":".$hoy['seconds'];


            $depositosUbica->usuario = $this->Auth->User('empleado');
            if ($this->DepositosUbicas->save($depositosUbica)) {


                $connection = ConnectionManager::get('default');
                $connection->execute('UPDATE depstock SET sto_deposito = ? WHERE sto_codprod = ?', [$depositosUbica->deposito_id, $chasis]);
                $connection->execute('UPDATE productos SET pro_ubicacion  = ?, pro_actualizado = ? WHERE pro_codori = ?', [$depositosUbica->ubica_id, ' - Act. por: ' . $this->Auth->User('first_name') . ' - Fecha:' . $depositosUbica->fecha, $chasis]);
                $connection->commit();
                $connection->disconnect();
                $this->Flash->success(__('Cambiado con exitos!'));

                echo "<script>history.go(-2)</script>";
            }
          //  $this->Flash->error(__('The depositos ubica could not be saved. Please, try again.'));
        }
        $depositos = $this->DepositosUbicas->Depositos->find('list', ['limit' => 200]);
     
        $ubicas = $this->DepositosUbicas->Ubicas->find('list', [
            'limit' => 200 ,'conditions' => ['borrado' => 0]
        ]);


        $this->set(compact('depositosUbica', 'depositos', 'ubicas'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Depositos Ubica id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $depositosUbica = $this->DepositosUbicas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $depositosUbica = $this->DepositosUbicas->patchEntity($depositosUbica, $this->request->getData());
            if ($this->DepositosUbicas->save($depositosUbica)) {
                $this->Flash->success(__('The depositos ubica has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The depositos ubica could not be saved. Please, try again.'));
        }
        $depositos = $this->DepositosUbicas->Depositos->find('list', ['limit' => 200]);
        $ubicas = $this->DepositosUbicas->Ubicas->find('list', ['limit' => 200]);
        $this->set(compact('depositosUbica', 'depositos', 'ubicas'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Depositos Ubica id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $depositosUbica = $this->DepositosUbicas->get($id);
        if ($this->DepositosUbicas->delete($depositosUbica)) {
            $this->Flash->success(__('The depositos ubica has been deleted.'));
        } else {
            $this->Flash->error(__('The depositos ubica could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }

    public function informe (){
        $imagen  =  TableRegistry::get('finalcantidadimagencargada');
        $query = $imagen
                ->find()
                ->where(["to_date(fecha, 'dd/MM/yyyy') > '01/01/2021'"])
                ->order(["to_date(fecha, 'dd/MM/yyyy') desc"]);

         $this->set('productos',$query );        


         $ubi  =  TableRegistry::get('finalcantidadubicargada');
         $querys = $ubi
                ->find()
                ->order(["to_date(fecha, 'dd/MM/yyyy') "]);

         $this->set('ubica',$querys ); 

    }


    public function detallado ($fecha = null){

        $fechacorecta = str_replace("-","/", $fecha);

        $imagen  =  TableRegistry::get('imagenescargadas');
        $query = $imagen
                ->find()
                ->where(['fecha' => $fechacorecta])
                ->order(["to_date(fecha, 'dd/MM/yyyy') "]);

         $this->set('productos',$query );        
    }

     public function detallado2 ($fecha = null){
        $imagen  =  TableRegistry::get('ubicargadas');
         $fechacorecta = str_replace("-","/", $fecha);
        $query = $imagen
                ->find()
                ->where(['fecha' => $fechacorecta])
                ->order(["to_date(fecha, 'dd/MM/yyyy') "]);

         $this->set('productos',$query );        
    }



    public function  informeresumido(){

        $productos = array(""); 
        $ubicaciones = array(""); 
        $hoy = getdate(); 
        for ($mes =12; $mes <= $hoy['mon']; $mes ++) { 
        	echo $mes;
	        for ($cantidad =1; $cantidad  <= $hoy['mday'] ; $cantidad ++) { 
	        	echo $cantidad;
	            $fecha = $cantidad."/".$mes."/".$hoy['year'];
	            $imagen  =  TableRegistry::get('imagenapps');
	            $querypro = $imagen->find('all', array('fields' => 'chasis', 'conditions' => [' fecha =' . "'" . $fecha . "'"], 'group' => 'chasis' ) );
	           echo $querypro->count() . " --- ";
	            array_push($productos, $querypro->count()."");
	        }
         }

         $this->set('productos',$productos );


for ($mes =12; $mes <= $hoy['mon']; $mes ++) { 
		if($mes == $hoy['mon']){
		        for ($cantidad =1; $cantidad  <= $hoy['mday'] ; $cantidad ++) { 
		            $fecha = $cantidad."/".$mes."/".$hoy['year'];
		            echo $fecha . '\n';
		            $imagens  =  TableRegistry::get('depositos_ubicas');
		            $querypros = $imagens->find('all', array('fields' => 'chasis', 'conditions' => [' fecha ILIKE' . "'%" . $fecha . "%'"], 'group' => 'chasis' ) );
		           ///echo $querypro->count() . " --- ";
		            array_push($ubicaciones, $querypros->count()."");
		        }
        }else{
        		$ultimodia=array(1=>"31","28","31","30","31","30","31","31","30","31","30","31");
        		
		        for ($cantidad =1; $cantidad  <= $ultimodia[($hoy['mon']-1)] ; $cantidad ++) { 
		            $fecha = $cantidad."/".$mes."/".$hoy['year'];
		            echo $fecha . '\n';
		            $imagens  =  TableRegistry::get('depositos_ubicas');
		            $querypros = $imagens->find('all', array('fields' => 'chasis', 'conditions' => [' fecha =' . "'" . $fecha . "'"], 'group' => 'chasis' ) );
		           ///echo $querypro->count() . " --- ";
		            array_push($ubicaciones, $querypros->count()."");
		        }
        }

 }
         $this->set('ubicaciones',$ubicaciones );
    
      
    }
}
