<?php 
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Noinventarios Controller
 *
 * @property \App\Model\Table\NoinventariosTable $Noinventarios
 *
 * @method \App\Model\Entity\Inventario[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class NoinventariosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $Noinventarios = $this->Noinventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('Noinventarios', 'terms1'));
        } else {
            $Noinventarios = $this->paginate($this->Noinventarios, ['order' => [ 'id' => 'desc']]);
            $this->set(compact('Noinventarios'));
        }
    }


    public function listado()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $Noinventarios = $this->Noinventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('Noinventarios', 'terms1'));
        } else {
            $Noinventarios = $this->paginate($this->Noinventarios, ['order' => [ 'id' => 'desc']]);
            $this->set(compact('Noinventarios'));
        }
    }

    public function listado2()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $Noinventarios = $this->Noinventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('Noinventarios', 'terms1'));
        } else {
            $Noinventarios = $this->paginate($this->Noinventarios, ['order' => [ 'id' => 'desc']]);
            $this->set(compact('Noinventarios'));
        }
    }

    /**
     * View method
     *
     * @param string|null $id Inventario id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $inventario = $this->Noinventarios->get($id, [
            'contain' => []
        ]);


        $rechazadoscv  =  TableRegistry::get('inventariorechazados');
        $query = $rechazadoscv->find('all', ['conditions' => ['tipo = 1 and inventario_id = ' .$inventario->id ]]);
        $this->set('rechazadoscv', $query);   

        $rechazadoschaperia  =  TableRegistry::get('inventariorechazados');
        $query2 = $rechazadoschaperia->find('all', ['conditions' => ['tipo = 2 and inventario_id = ' .$inventario->id]]);
       $this->set('rechazadoschaperia', $query2); 


        $this->set('inventario', $inventario);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $inventario = $this->Noinventarios->newEntity();
        if ($this->request->is('post')) {
            $inventario = $this->Noinventarios->patchEntity($inventario, $this->request->getData());

             $hoy = getdate(); 
             $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];

             $inventario->fecha = $fecha;
             $inventario->usuario = $this->Auth->User('id');

            $inventario->recibidocv = "";
            $inventario->recibidochaperia= "";
            $inventario->recibidoplaya= "";


            if ($this->Noinventarios->save($inventario)) {

                

                $this->Flash->success(__('Inventario creado con exito!'));

                return $this->redirect(['action' => 'index']);
            }
             $this->Flash->success($inventario);
            $this->Flash->error(__('No se guardo. Favor, intente de nuevo!'));
        }
        $trabajadors = $this->Noinventarios->trabajadors->find('list', ['limit' => 200]);
        $this->set(compact('inventario', 'trabajadors'));
        $this->set('_serialize', ['inventario']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Inventario id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $inventario = $this->Noinventarios->get($id, [
            'contain' => []
        ]);



        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Noinventarios->patchEntity($inventario, $this->request->getData());
            if ($this->Noinventarios->save($inventario)) {
                $this->Flash->success(__('The inventario has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The inventario could not be saved. Please, try again.'));
        }
        $this->set(compact('inventario'));
    }

    public function editcv($id = null)
    {
        $inventario = $this->Noinventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Noinventarios->patchEntity($inventario, $this->request->getData());

            $tablerista = $this->Noinventarios->trabajadors->get($inventario->tablerista);
            $airista = $this->Noinventarios->trabajadors->get($inventario->airista);
            $mecanico = $this->Noinventarios->trabajadors->get($inventario->mecanico);

            $TipoTrabajotablerista = TableRegistry::get('tipo_trabajo');
            $preciotablerista = $TipoTrabajotablerista->get($tablerista->tra_ocupacion);

            $TipoTrabajoairista = TableRegistry::get('tipo_trabajo');
            $precioairista = $TipoTrabajoairista->get($airista->tra_ocupacion);

            $TipoTrabajomecanico = TableRegistry::get('tipo_trabajo');
            $preciomecanico = $TipoTrabajomecanico->get($mecanico->tra_ocupacion);


            $inventario->usuariocv = $this->Auth->User('id');
            $inventario->modificarcv = 1;

             $hoy = getdate();
             $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year']; 

            if ($this->Noinventarios->save($inventario)) {
                
                $connection = ConnectionManager::get('default');

                $connection->execute('INSERT INTO cambio_volantes(nombre, pago, fecha, chasis, modelo, color, cancelado, adelanto, borrado, fechacarga, usuariocarga, idnombre, estadotrabajo, app) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [$tablerista->tra_nombre, $preciotablerista->tip_precio, $fecha, $inventario->chasis, $inventario->modelo, $inventario->color,0,0,0,$fecha, $this->Auth->User('empleado'),$inventario->tablerista, 0, 1 ]);

                $connection->execute('INSERT INTO cambio_volantes(nombre, pago, fecha, chasis, modelo, color, cancelado, adelanto, borrado, fechacarga, usuariocarga, idnombre, estadotrabajo, app) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [$airista->tra_nombre, $precioairista->tip_precio, $fecha, $inventario->chasis, $inventario->modelo, $inventario->color,0,0,0,$fecha, $this->Auth->User('empleado'),$inventario->airista, 0, 1 ]);

                $connection->execute('INSERT INTO cambio_volantes(nombre, pago, fecha, chasis, modelo, color, cancelado, adelanto, borrado, fechacarga, usuariocarga, idnombre, estadotrabajo, app) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [$mecanico->tra_nombre, $preciomecanico->tip_precio, $fecha, $inventario->chasis, $inventario->modelo, $inventario->color,0,0,0,$fecha, $this->Auth->User('empleado'),$inventario->mecanico, 0, 1 ]);

                $connection->commit(); 
                
                $connection->disconnect();

                return $this->redirect(['action' => 'index']);
            }
        }
        $trabajadors = $this->Noinventarios->trabajadors->find('list', ['limit' => 200]);
        $this->set(compact('inventario', 'trabajadors'));
    }


 public function editchaperia($id = null)
    {
        $inventario = $this->Noinventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Noinventarios->patchEntity($inventario, $this->request->getData());

            $inventario->usuariochaperia = $this->Auth->User('id');
            $inventario->modificarchaperia = 1;


            if ($this->Noinventarios->save($inventario)) {
                
                return $this->redirect(['action' => 'index']);
            }
        }
        $this->set(compact('inventario'));
    }


 public function editplaya($id = null)
    {
        $inventario = $this->Noinventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Noinventarios->patchEntity($inventario, $this->request->getData());

            $inventario->usuarioplaya = $this->Auth->User('id');
            $inventario->modificarplaya = 1;


            if ($this->Noinventarios->save($inventario)) {
                
                return $this->redirect(['action' => 'index']);
            }
        }
        $this->set(compact('inventario'));
    }

public function editplaya2($id = null)
    {
        $inventario = $this->Noinventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Noinventarios->patchEntity($inventario, $this->request->getData());

            $inventario->usuarioplaya2 = $this->Auth->User('id');
            $inventario->modificarplaya2 = 1;


            if ($this->Noinventarios->save($inventario)) {
                
                return $this->redirect(['action' => 'index']);
            }
        }
        $this->set(compact('inventario'));
    }

            

    /**
     * Delete method
     *
     * @param string|null $id Inventario id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $inventario = $this->Noinventarios->get($id);
        if ($this->Noinventarios->delete($inventario)) {
            $this->Flash->success(__('The inventario has been deleted.'));
        } else {
            $this->Flash->error(__('The inventario could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
