<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Publicacions Controller
 *
 * @property \App\Model\Table\PublicacionsTable $Publicacions
 *
 * @method \App\Model\Entity\Publicacion[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PublicacionsController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['Empleados']
        ];
        $publicacions = $this->paginate($this->Publicacions);

        $this->set(compact('publicacions'));
    }




        public function fechalista($fecha = null)
    {

    	$fecha = '7/8/2019';
        $this->paginate = [
        	
            'contain' => ['Empleados'],
            'conditions' => 'publicacions.fecha = ' . "'" . $fecha . "'",
            'order' => 'Empleados.nombre asc'
            
        ];
        $publicacions = $this->paginate($this->Publicacions );
//echo $publicacions;
        $this->set(compact('publicacions'));
    }


    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function listado()
    {

    	$hoy = getdate(); 
       $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
    

        $this->paginate = [
        	
            'contain' => ['Empleados'],
            'conditions' => 'publicacions.fecha = ' . "'" . $fecha . "'",
            'order' => 'Empleados.nombre asc'
            
        ];
        $publicacions = $this->paginate($this->Publicacions );
//echo $publicacions;
        $this->set(compact('publicacions'));
    }

    /**
     * View method
     *
     * @param string|null $id Publicacion id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $publicacion = $this->Publicacions->get($id, [
            'contain' => ['Empleados']
        ]);

        $this->set('publicacion', $publicacion);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $publicacion = $this->Publicacions->newEntity();
        if ($this->request->is('post')) {
            $publicacion = $this->Publicacions->patchEntity($publicacion, $this->request->getData());

            if ($this->Publicacions->save($publicacion)) {
                $this->Flash->success(__('The publicacion has been saved.'));
                return $this->redirect(['action' => 'mes']);
            }
        }
        $empleados = $this->Publicacions->Empleados->find('list', ['limit' => 200]);
        $this->set(compact('publicacion', 'empleados'));
    }

    public function sumar($id = null)
    {  
    	 $connection = ConnectionManager::get('default');
                $connection->execute('UPDATE publicacions SET cantidad = cantidad + 1 WHERE id = ?', [$id]);
               
                $connection->commit();
                $connection->disconnect();
    		return $this->redirect(['action' => 'listado']);
    }

    public function addtodos()
    {

         $hoy = getdate(); 
       $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];


      //  $publicacion = $this->Publicacions->newEntity();
        
       // $this->Publicacions->save($publicacion);
        $query = TableRegistry::get('users') ;
        $usuaris =  $query->find("all")->where(['vendedor' => 1 , 'active' => 1]);
        foreach ( $usuaris as $usuario):
        	if($usuario->empleado > 0){

        	
             $publicacion = $this->Publicacions->newEntity();
             $publicacion->empleado_id = $usuario->empleado;
             $publicacion->cantidad = 0;
             $publicacion->fecha = $fecha;
             $publicacion->fechagenerado = $fecha;
             $publicacion->usuariogenerado = $this->Auth->User('empleado');
             }
             $this->Publicacions->save($publicacion);

           
         endforeach;   
        //$empleados = $this->Publicacions->Empleados->find('all');
       // foreach ($empleados as $empleado):
       //     echo $empleado;
      //  endforeach;

         return $this->redirect(['action' => 'mes']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Publicacion id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $publicacion = $this->Publicacions->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $publicacion = $this->Publicacions->patchEntity($publicacion, $this->request->getData());
            if ($this->Publicacions->save($publicacion)) {
                $this->Flash->success(__('The publicacion has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The publicacion could not be saved. Please, try again.'));
        }
        $empleados = $this->Publicacions->Empleados->find('list', ['limit' => 200]);
        $this->set(compact('publicacion', 'empleados'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Publicacion id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $publicacion = $this->Publicacions->get($id);
        if ($this->Publicacions->delete($publicacion)) {
            $this->Flash->success(__('Vendedor eliminado!'));
        } else {
            $this->Flash->error(__('The publicacion could not be deleted. Please, try again.'));
        }

       return $this->redirect(['action' => 'listado']);
    }

       public function mes()
    {

        $hoy = getdate();
        $mesestotal = $hoy['mon'];
        $pila = array();

        
        for ($i = 8; $i <= $mesestotal; $i++) {
           array_push($pila, $i);
        }
       $hoy = getdate(); 
       $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
    
       $this->set('meses', $pila);
       $this->set('fechaactual', $fecha);

    

       $publicacion = $this->Publicacions->find('all', array('conditions' => ['Publicacions.fecha = ' . "'" . $fecha . "'"] ));

        $this->set('cantidadhoy', $publicacion->count());


    }
}
