<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 

/**
 * Stocktodos Controller
 *
 * @property \App\Model\Table\StocktodosTable $Stocktodos
 *
 * @method \App\Model\Entity\Stocktodo[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class StocktodosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
   
     public function index()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
           
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array('UPPER(chasis) LIKE' => '%' . strtoupper($term) . '%');
            }
            $stock  =  TableRegistry::get('stocktodos');
            $query = $stock->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('search', 'terms1'));
            $this->set('stocktodos', $query);
                
        }else {
            $this->set('search', '');
        }
        
    }


    /**
     * View method
     *
     * @param string|null $id Stocktodo id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $stocktodo = $this->Stocktodos->get($id, [
            'contain' => []
        ]);

        $ventas  =  TableRegistry::get('ventas');
        $conditions = "chasis = '". $stocktodo->chasis ."'";
        $query = $ventas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));


        $this->set('ventas', $query);

        $this->set('stocktodo', $stocktodo);
    }

    public function view2($id = null)
    {
        $stocktodo = $this->Stocktodos->get($id, [
            'contain' => []
        ]);

        $ventas  =  TableRegistry::get('ventas');
        $conditions = "chasis = '". $stocktodo->chasis ."'";
        $query = $ventas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
        debug($query);

        $this->set('ventas', $query);

        $this->set('stocktodo', $stocktodo);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $stocktodo = $this->Stocktodos->newEntity();
        if ($this->request->is('post')) {
            $stocktodo = $this->Stocktodos->patchEntity($stocktodo, $this->request->getData());
            if ($this->Stocktodos->save($stocktodo)) {
                $this->Flash->success(__('The stocktodo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The stocktodo could not be saved. Please, try again.'));
        }
        $this->set(compact('stocktodo'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Stocktodo id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $stocktodo = $this->Stocktodos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $stocktodo = $this->Stocktodos->patchEntity($stocktodo, $this->request->getData());
            if ($this->Stocktodos->save($stocktodo)) {
                $this->Flash->success(__('The stocktodo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The stocktodo could not be saved. Please, try again.'));
        }
        $this->set(compact('stocktodo'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Stocktodo id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $stocktodo = $this->Stocktodos->get($id);
        if ($this->Stocktodos->delete($stocktodo)) {
            $this->Flash->success(__('The stocktodo has been deleted.'));
        } else {
            $this->Flash->error(__('The stocktodo could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
