<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * UsersEmpleados Controller
 *
 * @property \App\Model\Table\UsersEmpleadosTable $UsersEmpleados
 */
class UsersEmpleadosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Network\Response|null
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['Users', 'Empleados']
        ];
        $usersEmpleados = $this->paginate($this->UsersEmpleados);

        $this->set(compact('usersEmpleados'));
        $this->set('_serialize', ['usersEmpleados']);
    }

    /**
     * View method
     *
     * @param string|null $id Users Empleado id.
     * @return \Cake\Network\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $usersEmpleado = $this->UsersEmpleados->get($id, [
            'contain' => ['Users', 'Empleados']
        ]);

        $this->set('usersEmpleado', $usersEmpleado);
        $this->set('_serialize', ['usersEmpleado']);
    }

    /**
     * Add method
     *
     * @return \Cake\Network\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $usersEmpleado = $this->UsersEmpleados->newEntity();
        if ($this->request->is('post')) {
            $usersEmpleado = $this->UsersEmpleados->patchEntity($usersEmpleado, $this->request->data);
            if ($this->UsersEmpleados->save($usersEmpleado)) {
                $this->Flash->success(__('The users empleado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The users empleado could not be saved. Please, try again.'));
        }
        $users = $this->UsersEmpleados->Users->find('list', ['limit' => 200]);
        $empleados = $this->UsersEmpleados->Empleados->find('list', ['limit' => 200]);
        $this->set(compact('usersEmpleado', 'users', 'empleados'));
        $this->set('_serialize', ['usersEmpleado']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Users Empleado id.
     * @return \Cake\Network\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $usersEmpleado = $this->UsersEmpleados->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $usersEmpleado = $this->UsersEmpleados->patchEntity($usersEmpleado, $this->request->data);
            if ($this->UsersEmpleados->save($usersEmpleado)) {
                $this->Flash->success(__('The users empleado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The users empleado could not be saved. Please, try again.'));
        }
        $users = $this->UsersEmpleados->Users->find('list', ['limit' => 200]);
        $empleados = $this->UsersEmpleados->Empleados->find('list', ['limit' => 200]);
        $this->set(compact('usersEmpleado', 'users', 'empleados'));
        $this->set('_serialize', ['usersEmpleado']);
    }

    /**
     * Delete method
     *
     * @param string|null $id Users Empleado id.
     * @return \Cake\Network\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $usersEmpleado = $this->UsersEmpleados->get($id);
        if ($this->UsersEmpleados->delete($usersEmpleado)) {
            $this->Flash->success(__('The users empleado has been deleted.'));
        } else {
            $this->Flash->error(__('The users empleado could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
