<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Ventas Controller
 *
 * @property \App\Model\Table\VentasTable $Ventas
 *
 * @method \App\Model\Entity\Venta[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class VentasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $hoy = getdate();

        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","29","31","30","31","30","31","31","30","31","30","31");
        $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
             
        if($hoy['mday'] >= 1 and $hoy['mday'] <= 5){
        	if($hoy['mon']==1){
				$this->set('mes', 'Enero');
                $desde = "01/12/".($hoy['year']-1);
                $hasta =  "31/12/".($hoy['year']-1);
                $this->set('ventanuevo', []);
        	}else{
	            $this->set('mes', $mesesN[$hoy['mon']-1]);
                $desde = "01/".($hoy['mon']-1)."/".$hoy['year'];
                $hasta = $ultimodia[($hoy['mon']-1)]."/".($hoy['mon']-1)."/".$hoy['year'];
                
                //mes nuevo 
                $desdenuevo = "01/".$hoy['mon']."/".$hoy['year'];
                $hastanuevo = $ultimodia[$hoy['mon']]."/".$hoy['mon']."/".$hoy['year'];
                $sqlventanuevo = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desdenuevo."','dd/mm/yyyy') and to_date('".$hastanuevo."','dd/mm/yyyy')";
                $ventanuevo = $this->Ventas->find('all', [
                    'conditions' => ['ventas.vendedors' => $this->Auth->user('empleado') , $sqlventanuevo],
                    'order' => ['id' => 'asc']
                ]);
                $this->set('mesnuevo', $mesesN[$hoy['mon']]);
                $this->set(compact('ventanuevo'));
                
        
             
        	}
             
        }else{
             $this->set('mes', $mesesN[$hoy['mon']]);
             $desde = "01/".$hoy['mon']."/".$hoy['year'];
             $hasta = $ultimodia[$hoy['mon']]."/".$hoy['mon']."/".$hoy['year'];
             
             $this->set('ventanuevo', []);
        }

        $sqlventas = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy')";
        
        $sqlventas2 = "to_date(fecha,'dd/MM/yyyy')  between to_date('01/01/2000','dd/mm/yyyy') and to_date('".$desde."','dd/mm/yyyy')";
       
        $ventas2 = $this->paginate($this->Ventas, [
            'conditions' => ['ventas.vendedors'  => $this->Auth->User('empleado'), $sqlventas2],
            'order' => ['id' => 'DESC']
        ]);
        
        $ventas = $this->Ventas->find('all', [
            'conditions' => ['ventas.vendedors' => $this->Auth->user('empleado') , $sqlventas],
            'order' => ['id' => 'asc']
        ]);
        
        $this->set(compact('ventas'));
        
        $this->set(compact('ventas2'));
        
        
    }


    public function central()
    {
        if(!empty($this->request->query['fechad'])){

            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

    
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

            $fechar = " (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
        


            $this->paginate = [
                'conditions' => ['Empleados.empresa'  => 1,  $fechar ],
                'contain' => ['Empleados']
            ];

            $ventas = $this->paginate($this->Ventas);


            $this->set(compact('ventas'));
        }
    }


    
    public function premio()
    {
        if(!empty($this->request->query['fechad'])){

            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

    
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

            $fechar = " (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
        


            $this->paginate = [
                'conditions' => ['Empleados.empresa'  => 2,  $fechar ],
                'contain' => ['Empleados']
            ];

            $ventas = $this->paginate($this->Ventas);


            $this->set(compact('ventas'));
        }
    }


    
    public function km11()
    {
        if(!empty($this->request->query['fechad'])){

            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

    
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

            $fechar = " (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
        


            $this->paginate = [
                'conditions' => ['Empleados.empresa'  => 3,  $fechar ],
                'contain' => ['Empleados']
            ];

            $ventas = $this->paginate($this->Ventas);


            $this->set(compact('ventas'));
        }
    }


    /**
     * View method
     *
     * @param string|null $id Venta id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $venta = $this->Ventas->get($id, [
            'contain' => []
        ]);

        $this->set('venta', $venta);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $venta = $this->Ventas->newEntity();
        if ($this->request->is('post')) {
            $venta = $this->Ventas->patchEntity($venta, $this->request->getData());
            if ($this->Ventas->save($venta)) {
                $this->Flash->success(__('The venta has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The venta could not be saved. Please, try again.'));
        }
        $this->set(compact('venta'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Venta id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $venta = $this->Ventas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $venta = $this->Ventas->patchEntity($venta, $this->request->getData());
            if ($this->Ventas->save($venta)) {
                $this->Flash->success(__('The venta has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The venta could not be saved. Please, try again.'));
        }
        $this->set(compact('venta'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Venta id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $venta = $this->Ventas->get($id);
        if ($this->Ventas->delete($venta)) {
            $this->Flash->success(__('The venta has been deleted.'));
        } else {
            $this->Flash->error(__('The venta could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
    
    
    
    public function vendedor($codigo = null)
    {
       
        $hoy = getdate();

        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","29","31","30","31","30","31","31","30","31","30","31");
        
        $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        
        if($hoy['mday'] >= 1 and $hoy['mday'] <= 5){
        	if($hoy['mon']==1){
				$this->set('mes', 'Enero');
                $desde = "01/12/".($hoy['year']-1);
                $hasta =  "31/12/".($hoy['year']-1);
                $this->set('ventanuevo', []);
        	}else{
	            $this->set('mes', $mesesN[$hoy['mon']-1]);
                $desde = "01/".($hoy['mon']-1)."/".$hoy['year'];
                $hasta = $ultimodia[($hoy['mon']-1)]."/".($hoy['mon']-1)."/".$hoy['year'];
                
                
                //mes nuevo 
                $desdenuevo = "01/".$hoy['mon']."/".$hoy['year'];
                $hastanuevo = $ultimodia[$hoy['mon']]."/".$hoy['mon']."/".$hoy['year'];
                $sqlventanuevo = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desdenuevo."','dd/mm/yyyy') and to_date('".$hastanuevo."','dd/mm/yyyy')";
                $ventanuevo = $this->Ventas->find('all', [
                    'conditions' => ['ventas.vendedors' => $codigo , $sqlventanuevo],
                    'order' => ['id' => 'asc']
                ]);
                $this->set('mesnuevo', $mesesN[$hoy['mon']]);
                $this->set(compact('ventanuevo'));
                
        	}
             
        }else{
             $this->set('mes', $mesesN[$hoy['mon']]);
             $desde = "01/".$hoy['mon']."/".$hoy['year'];
             $hasta = $ultimodia[$hoy['mon']]."/".$hoy['mon']."/".$hoy['year'];
             $this->set('ventanuevo', []);
        }


       
       $sqlventas = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy')";
       $sqlventas2 = "to_date(fecha,'dd/MM/yyyy')  between to_date('01/01/2000','dd/mm/yyyy') and to_date('".$desde."','dd/mm/yyyy')";
       
       $ventas2 = $this->paginate($this->Ventas, [
            'conditions' => ['ventas.vendedors'  => $codigo, $sqlventas2],
            'order' => ['id' => 'DESC']
       ]);
        
       $ventas = $this->Ventas->find('all', [
            'conditions' => ['ventas.vendedors' => $codigo , $sqlventas],
            'order' => ['id' => 'asc']
       ]);
       
       $this->set(compact('ventas'));
       $this->set(compact('ventas2'));
    }


}
