<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * AdelantoChapas Model
 *
 * @method \App\Model\Entity\AdelantoChapa get($primaryKey, $options = [])
 * @method \App\Model\Entity\AdelantoChapa newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\AdelantoChapa[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\AdelantoChapa|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\AdelantoChapa|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\AdelantoChapa patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\AdelantoChapa[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\AdelantoChapa findOrCreate($search, callable $callback = null, $options = [])
 */
class AdelantoChapasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('adelanto_chapas');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 25)
            ->allowEmpty('fecha');

        $validator
            ->numeric('monto')
            ->allowEmpty('monto');

        $validator
            ->scalar('motivo')
            ->maxLength('motivo', 150)
            ->allowEmpty('motivo');

        $validator
            ->scalar('moneda')
            ->maxLength('moneda', 50)
            ->allowEmpty('moneda');

        $validator
            ->integer('tipo')
            ->allowEmpty('tipo');

        return $validator;
    }
}
