<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Anos Model
 *
 * @property \App\Model\Table\ModelsTable|\Cake\ORM\Association\BelongsToMany $Models
 *
 * @method \App\Model\Entity\Ano get($primaryKey, $options = [])
 * @method \App\Model\Entity\Ano newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Ano[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Ano|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Ano|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Ano patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Ano[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Ano findOrCreate($search, callable $callback = null, $options = [])
 */
class AnosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('anos');
        $this->setDisplayField('ano');
        $this->setPrimaryKey('id');

        $this->belongsToMany('Models', [
            'foreignKey' => 'ano_id',
            'targetForeignKey' => 'model_id',
            'joinTable' => 'models_anos'
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('ano')
            ->maxLength('ano', 100)
            ->allowEmpty('ano');

        return $validator;
    }
}
