<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Aprobarventacuotas Model
 *
 * @method \App\Model\Entity\Aprobarventacuota get($primaryKey, $options = [])
 * @method \App\Model\Entity\Aprobarventacuota newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Aprobarventacuota[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Aprobarventacuota|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Aprobarventacuota|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Aprobarventacuota patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Aprobarventacuota[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Aprobarventacuota findOrCreate($search, callable $callback = null, $options = [])
 */
class AprobarventacuotasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
        $this->setTable('aprobarventacuotas');

        $this->belongsTo('aprobarventas', [
            'foreignKey' => 'id_aprobarventa'
        ]);

    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->integer('id_aprobarventa')
            ->allowEmpty('id_aprobarventa');

        $validator
            ->integer('nrocuota')
            ->allowEmpty('nrocuota');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 10)
            ->allowEmpty('fecha');

        $validator
            ->numeric('monto')
            ->allowEmpty('monto');

        $validator
            ->scalar('tipo')
            ->allowEmpty('tipo');

        $validator
            ->scalar('pcu_tipo')
            ->maxLength('pcu_tipo', 1)
            ->allowEmpty('pcu_tipo');

        return $validator;
    }


        /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['id_aprobarventa'], 'aprobarventas'));

        return $rules;
    }

}
