<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Asignarcvs Model
 *
 * @property &\Cake\ORM\Association\BelongsTo $Marcas
 * @property &\Cake\ORM\Association\BelongsTo $Modelos
 * @property &\Cake\ORM\Association\BelongsTo $Anos
 * @property &\Cake\ORM\Association\BelongsTo $Colors
 * @property &\Cake\ORM\Association\BelongsTo $Tipos
 * @property &\Cake\ORM\Association\BelongsTo $Procedencias
 * @property &\Cake\ORM\Association\BelongsTo $Importadors
 * @property &\Cake\ORM\Association\BelongsTo $Proveedors
 *
 * @method \App\Model\Entity\Asignarcv get($primaryKey, $options = [])
 * @method \App\Model\Entity\Asignarcv newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Asignarcv[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Asignarcv|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Asignarcv saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Asignarcv patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Asignarcv[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Asignarcv findOrCreate($search, callable $callback = null, $options = [])
 */
class AsignarcvsTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('asignarcvs');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->belongsTo('choferes', [
            'foreignKey' => 'choferid',
        ]);
        
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('fecha')
            ->allowEmpty('fecha');

        $validator
            ->scalar('chasis')
            ->allowEmpty('chasis');

        $validator
            ->scalar('marca')
            ->allowEmpty('marca');

        $validator
            ->scalar('modelo')
            ->allowEmpty('modelo');

        $validator
            ->scalar('ano')
            ->allowEmpty('ano');

        $validator
            ->scalar('color')
            ->allowEmpty('color');

        $validator
            ->scalar('tipo')
            ->allowEmpty('tipo');

        $validator
            ->scalar('procedencia')
            ->allowEmpty('procedencia');

        $validator
            ->scalar('importador')
            ->allowEmpty('importador');

        $validator
            ->scalar('obs')
            ->allowEmpty('obs');

        $validator
            ->scalar('proveedor')
            ->maxLength('proveedor', 250)
            ->allowEmpty('proveedor');

        $validator
            ->scalar('comprobante')
            ->allowEmpty('comprobante');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        $validator
            ->integer('choferid')
            ->allowEmpty('choferid');

        $validator
            ->scalar('chofer')
            ->allowEmpty('chofer');

        return $validator;
    }

    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['choferid'], 'choferes'));

        return $rules;
    }
}
