<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Comisiones Model
 *
 * @method \App\Model\Entity\Bonosdescuento get($primaryKey, $options = [])
 * @method \App\Model\Entity\Bonosdescuento newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Bonosdescuento[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Bonosdescuento|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Bonosdescuento|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Bonosdescuento patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Bonosdescuento[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Bonosdescuento findOrCreate($search, callable $callback = null, $options = [])
 */
class ComisionesTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('comisiones');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->numeric('recimp1comisioncredito')
            ->allowEmpty('recimp1comisioncredito');

        $validator
            ->numeric('recimp2comisioncredito')
            ->allowEmpty('recimp2comisioncredito');

        $validator
            ->numeric('recimp3comisioncredito')
            ->allowEmpty('recimp3comisioncredito');

        $validator
            ->numeric('recimp4comisioncredito')
            ->allowEmpty('recimp4comisioncredito');

        $validator
            ->numeric('recimp5comisioncredito')
            ->allowEmpty('recimp5comisioncredito');

        $validator
            ->numeric('recimp6comisioncredito')
            ->allowEmpty('recimp6comisioncredito');

        $validator
            ->numeric('recimp1comisioncontado')
            ->allowEmpty('recimp1comisioncontado');

        $validator
            ->numeric('recimp2comisioncontado')
            ->allowEmpty('recimp2comisioncontado');

        $validator
            ->numeric('recimp3comisioncontado')
            ->allowEmpty('recimp3comisioncontado');

        $validator
            ->numeric('recimp4comisioncontado')
            ->allowEmpty('recimp4comisioncontado');

        $validator
            ->numeric('recimp5comisioncontado')
            ->allowEmpty('recimp5comisioncontado');

        $validator
            ->numeric('recimp6comisioncontado')
            ->allowEmpty('recimp6comisioncontado');

        $validator
            ->numeric('recu1comisioncredito')
            ->allowEmpty('recu1comisioncredito');

        $validator
            ->numeric('recu2comisioncredito')
            ->allowEmpty('recu2comisioncredito');

        $validator
            ->numeric('recu3comisioncredito')
            ->allowEmpty('recu3comisioncredito');

        $validator
            ->numeric('recu4comisioncredito')
            ->allowEmpty('recu4comisioncredito');

        $validator
            ->numeric('recu5comisioncredito')
            ->allowEmpty('recu5comisioncredito');

        $validator
            ->numeric('recu6comisioncredito')
            ->allowEmpty('recu6comisioncredito');

        $validator
            ->numeric('recu1comisioncontado')
            ->allowEmpty('recu1comisioncontado');

        $validator
            ->numeric('recu2comisioncontado')
            ->allowEmpty('recu2comisioncontado');

        $validator
            ->numeric('recu3comisioncontado')
            ->allowEmpty('recu3comisioncontado');

        $validator
            ->numeric('recu4comisioncontado')
            ->allowEmpty('recu4comisioncontado');

        $validator
            ->numeric('recu5comisioncontado')
            ->allowEmpty('recu5comisioncontado');

        $validator
            ->numeric('recu6comisioncontado')
            ->allowEmpty('recu6comisioncontado');

        $validator
            ->numeric('usado1comisioncredito')
            ->allowEmpty('usado1comisioncredito');

        $validator
            ->numeric('usado2comisioncredito')
            ->allowEmpty('usado2comisioncredito');

        $validator
            ->numeric('usado3comisioncredito')
            ->allowEmpty('usado3comisioncredito');

        $validator
            ->numeric('usado4comisioncredito')
            ->allowEmpty('usado4comisioncredito');

        $validator
            ->numeric('usado5comisioncredito')
            ->allowEmpty('usado5comisioncredito');

        $validator
            ->numeric('usado6comisioncredito')
            ->allowEmpty('usado6comisioncredito');

        $validator
            ->numeric('usado1comisioncontado')
            ->allowEmpty('usado1comisioncontado');

        $validator
            ->numeric('usado2comisioncontado')
            ->allowEmpty('usado2comisioncontado');

        $validator
            ->numeric('usado3comisioncontado')
            ->allowEmpty('usado3comisioncontado');

        $validator
            ->numeric('usado4comisioncontado')
            ->allowEmpty('usado4comisioncontado');

        $validator
            ->numeric('usado5comisioncontado')
            ->allowEmpty('usado5comisioncontado');

        $validator
            ->numeric('usado6comisioncontado')
            ->allowEmpty('usado6comisioncontado');

        $validator
            ->scalar('ultimamodificacion')
            ->maxLength('ultimamodificacion', 100)
            ->allowEmpty('ultimamodificacion');

        return $validator;
    }
}
