<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Funcionarioreparacion Model
 *
 * @method \App\Model\Entity\Funcionarioreparacion get($primaryKey, $options = [])
 * @method \App\Model\Entity\Funcionarioreparacion newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Funcionarioreparacion[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Funcionarioreparacion|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Funcionarioreparacion|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Funcionarioreparacion patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Funcionarioreparacion[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Funcionarioreparacion findOrCreate($search, callable $callback = null, $options = [])
 */
class FuncionarioreparacionTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('funcionarioreparacion');
        $this->setDisplayField('nombres');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('nombre')
            ->maxLength('nombre', 250)
            ->allowEmpty('nombre');

        $validator
            ->scalar('cedula')
            ->maxLength('cedula', 250)
            ->allowEmpty('cedula');

        $validator
            ->integer('usuario')
            ->allowEmpty('usuario');

        $validator
            ->integer('borrado')
            ->allowEmpty('borrado');

        $validator
            ->scalar('grupo')
            ->maxLength('grupo', 250)
            ->allowEmpty('grupo');

        $validator
            ->scalar('nombres')
            ->maxLength('nombres', 250)
            ->allowEmpty('nombres');

        return $validator;
    }
}
