<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * InventarioPlayas Model
 *
 * @method \App\Model\Entity\InventarioPlaya get($primaryKey, $options = [])
 * @method \App\Model\Entity\InventarioPlaya newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\InventarioPlaya[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\InventarioPlaya|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\InventarioPlaya|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\InventarioPlaya patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\InventarioPlaya[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\InventarioPlaya findOrCreate($search, callable $callback = null, $options = [])
 */
class InventarioPlayasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('inventario_playas');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->requirePresence('fecha', 'create')
            ->notEmpty('fecha');

        $validator
            ->integer('usuario')
            ->allowEmpty('usuario');

        $validator
            ->integer('empresa')
            ->allowEmpty('empresa');

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 250)
            ->requirePresence('modelo', 'create')
            ->notEmpty('modelo');

        $validator
            ->scalar('marca')
            ->maxLength('marca', 250)
            ->requirePresence('marca', 'create')
            ->notEmpty('marca');

        $validator
            ->scalar('color')
            ->maxLength('color', 250)
            ->requirePresence('color', 'create')
            ->notEmpty('color');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->requirePresence('chasis', 'create')
            ->notEmpty('chasis');

        $validator
            ->integer('cuentaaceite')
            ->notEmpty('cuentaaceite', 'Seleccione una opción');

        $validator
            ->integer('motorfunciona')
            ->notEmpty('motorfunciona', 'Seleccione una opción');

        $validator
            ->integer('cajafunciona')
            ->notEmpty('cajafunciona', 'Seleccione una opción');

        $validator
            ->integer('chequin')
            ->notEmpty('chequin', 'Seleccione una opción');

        $validator
            ->integer('radiotv')
            ->notEmpty('radiotv', 'Seleccione una opción');

        $validator
            ->integer('insigniatrasera')
            ->notEmpty('insigniatrasera', 'Seleccione una opción');

        $validator
            ->integer('insigniadetalantera')
            ->notEmpty('insigniadetalantera', 'Seleccione una opción');

        $validator
            ->integer('cabeceras')
            ->notEmpty('cabeceras', 'Seleccione una opción');

        $validator
            ->integer('bocina')
            ->notEmpty('bocina', 'Seleccione una opción');

        $validator
            ->integer('aire')
            ->notEmpty('aire', 'Seleccione una opción');

        $validator
            ->integer('bloqueopuerta')
            ->notEmpty('bloqueopuerta', 'Seleccione una opción');

        $validator
            ->integer('tapizados')
            ->notEmpty('tapizados', 'Seleccione una opción');

        $validator
            ->integer('luces')
            ->notEmpty('luces', 'Seleccione una opción');

        $validator
            ->integer('espejos')
            ->notEmpty('espejos', 'Seleccione una opción');

        $validator
            ->integer('herramientas')
            ->notEmpty('herramientas', 'Seleccione una opción');

        $validator
            ->integer('funcionacamara')
            ->notEmpty('funcionacamara', 'Seleccione una opción');

        $validator
            ->integer('traellantadeportiva')
            ->notEmpty('traellantadeportiva', 'Seleccione una opción');

        $validator
            ->integer('traellantaiguales')
            ->notEmpty('traellantaiguales', 'Seleccione una opción');

        $validator
            ->scalar('observacion')
            ->maxLength('observacion', 1000)
            ->allowEmpty('observacion');

        return $validator;
    }

   
}
