<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * InventariosUsados Model
 *
 * @method \App\Model\Entity\InventariosUsado get($primaryKey, $options = [])
 * @method \App\Model\Entity\InventariosUsado newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\InventariosUsado[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\InventariosUsado|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\InventariosUsado|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\InventariosUsado patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\InventariosUsado[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\InventariosUsado findOrCreate($search, callable $callback = null, $options = [])
 */
class InventariosUsadosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('inventarios_usados');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->requirePresence('fecha', 'create')
            ->notEmpty('fecha');

        $validator
            ->integer('usuario')
            ->allowEmpty('usuario');

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 250)
            ->requirePresence('modelo', 'create')
            ->notEmpty('modelo','Ingrese el modelo');

        $validator
            ->scalar('marca')
            ->maxLength('marca', 250)
            ->requirePresence('marca', 'create')
            ->notEmpty('marca', 'Ingrese la marca');

        $validator
            ->scalar('color')
            ->maxLength('color', 250)
            ->requirePresence('color', 'create')
            ->notEmpty('color', 'Ingrese el color');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->requirePresence('chasis', 'create')
            ->notEmpty('chasis');

        $validator
            ->integer('motorsopla')
            ->notEmpty('motorsopla' , 'Seleccione una opción');

        $validator
            ->integer('accesorios')
            ->notEmpty('accesorios', 'Seleccione una opción');

        $validator
            ->integer('cajafuncionabien')
            ->notEmpty('cajafuncionabien', 'Seleccione una opción');

        $validator
            ->integer('direccionhidraulica')
            ->notEmpty('direccionhidraulica', 'Seleccione una opción');

        $validator
            ->integer('aire')
            ->notEmpty('aire', 'Seleccione una opción');

        $validator
            ->integer('radio')
            ->notEmpty('radio', 'Seleccione una opción');

        $validator
            ->integer('cajadesonido')
            ->notEmpty('cajadesonido', 'Seleccione una opción');

        $validator
            ->integer('parabrisaroto')
            ->notEmpty('parabrisaroto', 'Seleccione una opción');

        $validator
            ->integer('farodelanteroderecho')
            ->notEmpty('farodelanteroderecho', 'Seleccione una opción');

        $validator
            ->integer('farodelanteroizq')
            ->notEmpty('farodelanteroizq', 'Seleccione una opción');

        $validator
            ->integer('farotraseroderecho')
            ->notEmpty('farotraseroderecho', 'Seleccione una opción');

        $validator
            ->integer('farotraseroizq')
            ->notEmpty('farotraseroizq', 'Seleccione una opción');

        $validator
            ->integer('llantadeportiva')
            ->notEmpty('llantadeportiva', 'Seleccione una opción');

        $validator
            ->integer('tablerolindo')
            ->notEmpty('tablerolindo', 'Seleccione una opción');

        $validator
            ->integer('estadovehiculo')
            ->notEmpty('estadovehiculo', 'Seleccione una opción');

        $validator
            ->integer('gato')
            ->notEmpty('gato', 'Seleccione una opción');

        $validator
            ->integer('auxilio')
            ->notEmpty('auxilio', 'Seleccione una opción');

        

        $validator
            ->integer('contratos')
            ->allowEmpty('contratos', 'Seleccione una opción');


        $validator
            ->integer('frente')
            ->allowEmpty('frente', 'Seleccione una opción');

        $validator
            ->integer('guardabarrodelanteroderecho')
            ->allowEmpty('guardabarrodelanteroderecho');

        $validator
            ->integer('puertadelanteraderecha')
            ->allowEmpty('puertadelanteraderecha');

        $validator
            ->integer('puertatraseraderecha')
            ->allowEmpty('puertatraseraderecha');

        $validator
            ->integer('guardabarrotrasero')
            ->allowEmpty('guardabarrotrasero');

        $validator
            ->integer('partetrasera')
            ->allowEmpty('partetrasera');

        $validator
            ->integer('guardabarrotraseroizq')
            ->allowEmpty('guardabarrotraseroizq');

        $validator
            ->integer('puertatraseraizq')
            ->allowEmpty('puertatraseraizq');

        $validator
            ->integer('puertadelantaraizq')
            ->allowEmpty('puertadelantaraizq');

        $validator
            ->integer('guardabarrodelanteroizq')
            ->allowEmpty('guardabarrodelanteroizq');

        return $validator;
    }

   
}
