<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Listadoautos Model
 *
 * @property &\Cake\ORM\Association\BelongsTo $Marcas
 * @property &\Cake\ORM\Association\BelongsTo $Modelos
 * @property &\Cake\ORM\Association\BelongsTo $Anos
 * @property &\Cake\ORM\Association\BelongsTo $Colors
 * @property &\Cake\ORM\Association\BelongsTo $Tipos
 * @property &\Cake\ORM\Association\BelongsTo $Procedencias
 * @property &\Cake\ORM\Association\BelongsTo $Importadors
 * @property &\Cake\ORM\Association\BelongsTo $Proveedors
 *
 * @method \App\Model\Entity\Listadoauto get($primaryKey, $options = [])
 * @method \App\Model\Entity\Listadoauto newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Listadoauto[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Listadoauto|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Listadoauto saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Listadoauto patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Listadoauto[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Listadoauto findOrCreate($search, callable $callback = null, $options = [])
 */
class ListadoautosTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('listadoautos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('fecha')
            ->allowEmpty('fecha');

        $validator
            ->scalar('chasis')
            ->allowEmpty('chasis');

        $validator
            ->scalar('marca')
            ->allowEmpty('marca');

        $validator
            ->scalar('modelo')
            ->allowEmpty('modelo');

        $validator
            ->scalar('ano')
            ->allowEmpty('ano');

        $validator
            ->scalar('color')
            ->allowEmpty('color');

        $validator
            ->scalar('tipo')
            ->allowEmpty('tipo');

        $validator
            ->scalar('procedencia')
            ->allowEmpty('procedencia');

        $validator
            ->scalar('importador')
            ->allowEmpty('importador');

        $validator
            ->scalar('obs')
            ->allowEmpty('obs');

        $validator
            ->scalar('proveedor')
            ->maxLength('proveedor', 250)
            ->allowEmpty('proveedor');

        $validator
            ->scalar('comprobante')
            ->allowEmpty('comprobante');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');


        return $validator;
    }

}
