<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * ListadoVentas Model
 *
 * @method \App\Model\Entity\ListadoVenta get($primaryKey, $options = [])
 * @method \App\Model\Entity\ListadoVenta newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\ListadoVenta[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\ListadoVenta|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\ListadoVenta|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\ListadoVenta patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\ListadoVenta[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\ListadoVenta findOrCreate($search, callable $callback = null, $options = [])
 */
class ListadoventasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('listado_ventas');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id_pro')
            ->allowEmpty('id_pro');

        $validator
            ->scalar('detalle')
            ->maxLength('detalle', 250)
            ->allowEmpty('detalle');

        $validator
            ->numeric('cantidad')
            ->allowEmpty('cantidad');

        $validator
            ->numeric('precio')
            ->allowEmpty('precio');

        $validator
            ->numeric('total')
            ->allowEmpty('total');

        $validator
            ->scalar('moneda')
            ->maxLength('moneda', 25)
            ->allowEmpty('moneda');

        $validator
            ->scalar('fecha')
            ->allowEmpty('fecha');

        $validator
            ->integer('empleado')
            ->allowEmpty('empleado');

        return $validator;
    }

    /**
     * Returns the database connection name to use by default.
     *
     * @return string
     */
    public static function defaultConnectionName()
    {
        return 'mrperez';
    }
}
