<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Llantas Model
 *
 * @property \App\Model\Table\ModelsTable|\Cake\ORM\Association\BelongsToMany $Models
 *
 * @method \App\Model\Entity\Llanta get($primaryKey, $options = [])
 * @method \App\Model\Entity\Llanta newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Llanta[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Llanta|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Llanta|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Llanta patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Llanta[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Llanta findOrCreate($search, callable $callback = null, $options = [])
 */
class LlantasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('llantas');
        $this->setDisplayField('descripcion');
        $this->setPrimaryKey('id');

       
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

       
        return $validator;
    }
}
