<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Noinventarios Model
 *
 * @method \App\Model\Entity\Noinventario get($primaryKey, $options = [])
 * @method \App\Model\Entity\Noinventario newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Noinventario[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Noinventario|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Noinventario|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Noinventario patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Noinventario[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Noinventario findOrCreate($search, callable $callback = null, $options = [])
 */
class NoinventariosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('noinventarios');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->allowEmpty('fecha');

        $validator
            ->integer('usuario')
            ->allowEmpty('usuario');

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 250)
            ->allowEmpty('modelo');

        $validator
            ->scalar('marca')
            ->maxLength('marca', 250)
            ->allowEmpty('marca');

        $validator
            ->scalar('color')
            ->maxLength('color', 250)
            ->allowEmpty('color');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->allowEmpty('chasis');

        $validator
            ->scalar('cuentaaceite')
            ->allowEmpty('cuentaaceite');

        $validator
            ->scalar('motorfunciona')
            ->allowEmpty('motorfunciona');

        $validator
            ->scalar('cajafunciona')
            ->allowEmpty('cajafunciona');

        $validator
            ->scalar('chequin')
            ->allowEmpty('chequin');

        $validator
            ->scalar('radiotv')
            ->allowEmpty('radiotv');

        $validator
            ->scalar('insigniatrasera')
            ->allowEmpty('insigniatrasera');

        $validator
            ->scalar('insigniadetalantera')
            ->allowEmpty('insigniadetalantera');

        $validator
            ->scalar('cabeceras')
            ->allowEmpty('cabeceras');

        $validator
            ->scalar('bocina')
            ->allowEmpty('bocina');

        $validator
            ->scalar('aire')
            ->allowEmpty('aire');

        $validator
            ->scalar('bloqueopuerta')
            ->allowEmpty('bloqueopuerta');

        $validator
            ->scalar('tapizados')
            ->allowEmpty('tapizados');

        $validator
            ->scalar('luces')
            ->allowEmpty('luces');

        $validator
            ->scalar('espejos')
            ->allowEmpty('espejos');

        $validator
            ->scalar('herramientas')
            ->allowEmpty('herramientas');

        $validator
            ->scalar('observacion')
            ->maxLength('observacion', 1000)
            ->allowEmpty('observacion');

        $validator
            ->integer('tablerista')
            ->allowEmpty('tablerista');

        $validator
            ->integer('tableristaestado')
            ->allowEmpty('tableristaestado');

        $validator
            ->integer('airista')
            ->allowEmpty('airista');

        $validator
            ->integer('airistaestado')
            ->allowEmpty('airistaestado');

        $validator
            ->integer('mecanico')
            ->allowEmpty('mecanico');

        $validator
            ->integer('mecanicoestado')
            ->allowEmpty('mecanicoestado');

        $validator
            ->scalar('cuentaaceitecv')
            ->allowEmpty('cuentaaceitecv');

        $validator
            ->scalar('motorfuncionacv')
            ->allowEmpty('motorfuncionacv');

        $validator
            ->scalar('cajafuncionacv')
            ->allowEmpty('cajafuncionacv');

        $validator
            ->scalar('chequincv')
            ->allowEmpty('chequincv');

        $validator
            ->scalar('radiotvcv')
            ->allowEmpty('radiotvcv');

        $validator
            ->scalar('insigniatraseracv')
            ->allowEmpty('insigniatraseracv');

        $validator
            ->scalar('insigniadetalanteracv')
            ->allowEmpty('insigniadetalanteracv');

        $validator
            ->scalar('cabecerascv')
            ->allowEmpty('cabecerascv');

        $validator
            ->scalar('bocinacv')
            ->allowEmpty('bocinacv');

        $validator
            ->scalar('airecv')
            ->allowEmpty('airecv');

        $validator
            ->scalar('bloqueopuertacv')
            ->allowEmpty('bloqueopuertacv');

        $validator
            ->scalar('tapizadoscv')
            ->allowEmpty('tapizadoscv');

        $validator
            ->scalar('lucescv')
            ->allowEmpty('lucescv');

        $validator
            ->scalar('espejoscv')
            ->allowEmpty('espejoscv');

        $validator
            ->scalar('herramientascv')
            ->allowEmpty('herramientascv');

        $validator
            ->scalar('recibidocv')
            ->maxLength('recibidocv', 250)
            ->allowEmpty('recibidocv');

        $validator
            ->scalar('observacioncv')
            ->maxLength('observacioncv', 500)
            ->allowEmpty('observacioncv');

        $validator
            ->integer('estadocv')
            ->allowEmpty('estadocv');

        $validator
            ->integer('modificarcv')
            ->allowEmpty('modificarcv');

        $validator
            ->integer('usuariocv')
            ->allowEmpty('usuariocv');

        $validator
            ->scalar('cuentaaceitechaperia')
            ->allowEmpty('cuentaaceitechaperia');

        $validator
            ->scalar('motorfuncionachaperia')
            ->allowEmpty('motorfuncionachaperia');

        $validator
            ->scalar('cajafuncionachaperia')
            ->allowEmpty('cajafuncionachaperia');

        $validator
            ->scalar('chequinchaperia')
            ->allowEmpty('chequinchaperia');

        $validator
            ->scalar('radiotvchaperia')
            ->allowEmpty('radiotvchaperia');

        $validator
            ->scalar('insigniatraserachaperia')
            ->allowEmpty('insigniatraserachaperia');

        $validator
            ->scalar('insigniadetalanterachaperia')
            ->allowEmpty('insigniadetalanterachaperia');

        $validator
            ->scalar('cabeceraschaperia')
            ->allowEmpty('cabeceraschaperia');

        $validator
            ->scalar('bocinachaperia')
            ->allowEmpty('bocinachaperia');

        $validator
            ->scalar('airechaperia')
            ->allowEmpty('airechaperia');

        $validator
            ->scalar('bloqueopuertachaperia')
            ->allowEmpty('bloqueopuertachaperia');

        $validator
            ->scalar('tapizadoschaperia')
            ->allowEmpty('tapizadoschaperia');

        $validator
            ->scalar('luceschaperia')
            ->allowEmpty('luceschaperia');

        $validator
            ->scalar('espejoschaperia')
            ->allowEmpty('espejoschaperia');

        $validator
            ->scalar('herramientaschaperia')
            ->allowEmpty('herramientaschaperia');

        $validator
            ->scalar('recibidochaperia')
            ->maxLength('recibidochaperia', 250)
            ->allowEmpty('recibidochaperia');

        $validator
            ->scalar('observacionchaperia')
            ->maxLength('observacionchaperia', 500)
            ->allowEmpty('observacionchaperia');

        $validator
            ->integer('estadochaperia')
            ->allowEmpty('estadochaperia');

        $validator
            ->integer('modificarchaperia')
            ->allowEmpty('modificarchaperia');

        $validator
            ->integer('usuariochaperia')
            ->allowEmpty('usuariochaperia');

        $validator
            ->scalar('cuentaaceiteplaya')
            ->allowEmpty('cuentaaceiteplaya');

        $validator
            ->scalar('motorfuncionaplaya')
            ->allowEmpty('motorfuncionaplaya');

        $validator
            ->scalar('cajafuncionaplaya')
            ->allowEmpty('cajafuncionaplaya');

        $validator
            ->scalar('chequinplaya')
            ->allowEmpty('chequinplaya');

        $validator
            ->scalar('radiotvplaya')
            ->allowEmpty('radiotvplaya');

        $validator
            ->scalar('insigniatraseraplaya')
            ->allowEmpty('insigniatraseraplaya');

        $validator
            ->scalar('insigniadetalanteraplaya')
            ->allowEmpty('insigniadetalanteraplaya');

        $validator
            ->scalar('cabecerasplaya')
            ->allowEmpty('cabecerasplaya');

        $validator
            ->scalar('bocinaplaya')
            ->allowEmpty('bocinaplaya');

        $validator
            ->scalar('aireplaya')
            ->allowEmpty('aireplaya');

        $validator
            ->scalar('bloqueopuertaplaya')
            ->allowEmpty('bloqueopuertaplaya');

        $validator
            ->scalar('tapizadosplaya')
            ->allowEmpty('tapizadosplaya');

        $validator
            ->scalar('lucesplaya')
            ->allowEmpty('lucesplaya');

        $validator
            ->scalar('espejosplaya')
            ->allowEmpty('espejosplaya');

        $validator
            ->scalar('herramientasplaya')
            ->allowEmpty('herramientasplaya');

        $validator
            ->scalar('recibidoplaya')
            ->maxLength('recibidoplaya', 250)
            ->allowEmpty('recibidoplaya');

        $validator
            ->scalar('observacionplaya')
            ->maxLength('observacionplaya', 500)
            ->allowEmpty('observacionplaya');

        $validator
            ->integer('estadoplaya')
            ->allowEmpty('estadoplaya');

        $validator
            ->integer('modificarplaya')
            ->allowEmpty('modificarplaya');

        $validator
            ->integer('usuarioplaya')
            ->allowEmpty('usuarioplaya');

        $validator
            ->scalar('cuentaaceiteplaya2')
            ->allowEmpty('cuentaaceiteplaya2');

        $validator
            ->scalar('motorfuncionaplaya2')
            ->allowEmpty('motorfuncionaplaya2');

        $validator
            ->scalar('cajafuncionaplaya2')
            ->allowEmpty('cajafuncionaplaya2');

        $validator
            ->scalar('chequinplaya2')
            ->allowEmpty('chequinplaya2');

        $validator
            ->scalar('radiotvplaya2')
            ->allowEmpty('radiotvplaya2');

        $validator
            ->scalar('insigniatraseraplaya2')
            ->allowEmpty('insigniatraseraplaya2');

        $validator
            ->scalar('insigniadetalanteraplaya2')
            ->allowEmpty('insigniadetalanteraplaya2');

        $validator
            ->scalar('cabecerasplaya2')
            ->allowEmpty('cabecerasplaya2');

        $validator
            ->scalar('bocinaplaya2')
            ->allowEmpty('bocinaplaya2');

        $validator
            ->scalar('aireplaya2')
            ->allowEmpty('aireplaya2');

        $validator
            ->scalar('bloqueopuertaplaya2')
            ->allowEmpty('bloqueopuertaplaya2');

        $validator
            ->scalar('tapizadosplaya2')
            ->allowEmpty('tapizadosplaya2');

        $validator
            ->scalar('lucesplaya2')
            ->allowEmpty('lucesplaya2');

        $validator
            ->scalar('espejosplaya2')
            ->allowEmpty('espejosplaya2');

        $validator
            ->scalar('herramientasplaya2')
            ->allowEmpty('herramientasplaya2');

        $validator
            ->scalar('recibidoplaya2')
            ->maxLength('recibidoplaya2', 250)
            ->allowEmpty('recibidoplaya2');

        $validator
            ->scalar('observacionplaya2')
            ->maxLength('observacionplaya2', 500)
            ->allowEmpty('observacionplaya2');

        $validator
            ->integer('estadoplaya2')
            ->allowEmpty('estadoplaya2');

        $validator
            ->integer('modificarplaya2')
            ->allowEmpty('modificarplaya2');

        $validator
            ->integer('usuarioplaya2')
            ->allowEmpty('usuarioplaya2');

        $validator
            ->scalar('funcionacamara')
            ->allowEmpty('funcionacamara');

        $validator
            ->scalar('traellantadeportiva')
            ->allowEmpty('traellantadeportiva');

        $validator
            ->scalar('traellantaiguales')
            ->allowEmpty('traellantaiguales');

        $validator
            ->scalar('funcionacamaracv')
            ->allowEmpty('funcionacamaracv');

        $validator
            ->scalar('traellantadeportivacv')
            ->allowEmpty('traellantadeportivacv');

        $validator
            ->scalar('traellantaigualescv')
            ->allowEmpty('traellantaigualescv');

        $validator
            ->scalar('funcionacamarachaperia')
            ->allowEmpty('funcionacamarachaperia');

        $validator
            ->scalar('traellantadeportivachaperia')
            ->allowEmpty('traellantadeportivachaperia');

        $validator
            ->scalar('traellantaigualeschaperia')
            ->allowEmpty('traellantaigualeschaperia');

        $validator
            ->scalar('funcionacamaraplaya')
            ->allowEmpty('funcionacamaraplaya');

        $validator
            ->scalar('traellantadeportivaplaya')
            ->allowEmpty('traellantadeportivaplaya');

        $validator
            ->scalar('traellantaigualesplaya')
            ->allowEmpty('traellantaigualesplaya');

        $validator
            ->scalar('funcionacamaraplaya2')
            ->allowEmpty('funcionacamaraplaya2');

        $validator
            ->scalar('traellantadeportivaplaya2')
            ->allowEmpty('traellantadeportivaplaya2');

        $validator
            ->scalar('traellantaigualesplaya2')
            ->allowEmpty('traellantaigualesplaya2');

        return $validator;
    }
}
