<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Preciogenerals Model
 *
 * @method \App\Model\Entity\Preciogeneral get($primaryKey, $options = [])
 * @method \App\Model\Entity\Preciogeneral newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Preciogeneral[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Preciogeneral|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Preciogeneral|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Preciogeneral patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Preciogeneral[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Preciogeneral findOrCreate($search, callable $callback = null, $options = [])
 */
class PreciogeneralsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('preciogenerals');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('tipochasis')
            ->allowEmpty('tipochasis');

        $validator
            ->scalar('marca')
            ->allowEmpty('marca');

        $validator
            ->scalar('modelo')
            ->allowEmpty('modelo');

        $validator
            ->scalar('ano')
            ->allowEmpty('ano');

        $validator
            ->numeric('contadorecimp')
            ->allowEmpty('contadorecimp');

        $validator
            ->numeric('contado3mesesrecimp')
            ->allowEmpty('contado3mesesrecimp');

        $validator
            ->numeric('gerente1recimp')
            ->allowEmpty('gerente1recimp');

        $validator
            ->numeric('gerente2recimp')
            ->allowEmpty('gerente2recimp');

        $validator
            ->numeric('gerente3recimp')
            ->allowEmpty('gerente3recimp');

        $validator
            ->numeric('contadorecuperado')
            ->allowEmpty('contadorecuperado');

        $validator
            ->numeric('contado3mesesrecuperado')
            ->allowEmpty('contado3mesesrecuperado');

        $validator
            ->numeric('gerente1recuperado')
            ->allowEmpty('gerente1recuperado');

        $validator
            ->numeric('gerente2recuperado')
            ->allowEmpty('gerente2recuperado');

        $validator
            ->numeric('gerente3recuperado')
            ->allowEmpty('gerente3recuperado');

        $validator
            ->numeric('contadousado')
            ->allowEmpty('contadousado');

        $validator
            ->numeric('contado3mesesusado')
            ->allowEmpty('contado3mesesusado');

        $validator
            ->numeric('gerente1usado')
            ->allowEmpty('gerente1usado');

        $validator
            ->numeric('gerente2usado')
            ->allowEmpty('gerente2usado');

        $validator
            ->numeric('gerente3usado')
            ->allowEmpty('gerente3usado');

        return $validator;
    }
}
