<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Propuestasimuladors Model
 *
 * @property \App\Model\Table\SimuladorVentasTable|\Cake\ORM\Association\BelongsTo $SimuladorVentas
 *
 * @method \App\Model\Entity\Propuestasimulador get($primaryKey, $options = [])
 * @method \App\Model\Entity\Propuestasimulador newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Propuestasimulador[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Propuestasimulador|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Propuestasimulador|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Propuestasimulador patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Propuestasimulador[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Propuestasimulador findOrCreate($search, callable $callback = null, $options = [])
 */
class PropuestasimuladorsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('propuestasimuladors');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->belongsTo('SimuladorVentas', [
            'foreignKey' => 'simulador_venta_id'
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->integer('empresa')
            ->allowEmpty('empresa');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 50)
            ->allowEmpty('fecha');

        $validator
            ->numeric('bono')
            ->allowEmpty('bono');

        $validator
            ->scalar('observacion')
            ->maxLength('observacion', 999)
            ->allowEmpty('observacion');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        return $validator;
    }

    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['simulador_venta_id'], 'SimuladorVentas'));

        return $rules;
    }
}
