<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * PruebaImagens Model
 *
 * @method \App\Model\Entity\PruebaImagen get($primaryKey, $options = [])
 * @method \App\Model\Entity\PruebaImagen newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\PruebaImagen[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\PruebaImagen|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\PruebaImagen|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\PruebaImagen patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\PruebaImagen[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\PruebaImagen findOrCreate($search, callable $callback = null, $options = [])
 */
class PruebaImagensTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('prueba_imagens');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('referencia')
            ->maxLength('referencia', 250)
            ->allowEmpty('referencia');

        $validator
            ->scalar('imagen')
            ->maxLength('imagen', 250)
            ->allowEmpty('imagen');

        $validator
            ->dateTime('fechacarga')
            ->allowEmpty('fechacarga');

        return $validator;
    }
}
