<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Remates Model
 *
  * @property \App\Model\Table\StocksTable|\Cake\ORM\Association\BelongsTo $Stocks
  *
 * @method \App\Model\Entity\Remate get($primaryKey, $options = [])
 * @method \App\Model\Entity\Remate newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Remate[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Remate|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Remate|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Remate patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Remate[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Remate findOrCreate($search, callable $callback = null, $options = [])
 */
class RematesTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('remates');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');


        $this->belongsTo('Stocks', [
            'foreignKey' => 'stock_id'
        ]);

    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->allowEmpty('chasis');

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 500)
            ->allowEmpty('modelo');

        $validator
            ->numeric('precio')
            ->allowEmpty('precio');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 50)
            ->allowEmpty('fecha');

        return $validator;
    }


     /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['stock_id'], 'Stocks'));

        return $rules;
    }

}
