<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Bono[]|\Cake\Collection\CollectionInterface $bonos
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Bono'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Stocks'), ['controller' => 'Stocks', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Stock'), ['controller' => 'Stocks', 'action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Empleados'), ['controller' => 'Empleados', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Empleado'), ['controller' => 'Empleados', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="bonos index large-9 medium-8 columns content">
    <h3><?= __('Bonos') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('stock_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('empleado_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('monto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('telefono') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cedula') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('hora') ?></th>
                <th scope="col"><?= $this->Paginator->sort('activo') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($bonos as $bono): ?>
            <tr>
                <td><?= $this->Number->format($bono->id) ?></td>
                <td><?= $bono->has('stock') ? $this->Html->link($bono->stock->id, ['controller' => 'Stocks', 'action' => 'view', $bono->stock->id]) : '' ?></td>
                <td><?= $bono->has('empleado') ? $this->Html->link($bono->empleado->cedula, ['controller' => 'Empleados', 'action' => 'view', $bono->empleado->id]) : '' ?></td>
                <td><?= $this->Number->format($bono->estado) ?></td>
                <td><?= $this->Number->format($bono->moneda) ?></td>
                <td><?= $this->Number->format($bono->monto) ?></td>
                <td><?= h($bono->telefono) ?></td>
                <td><?= h($bono->cedula) ?></td>
                <td><?= h($bono->fecha) ?></td>
                <td><?= h($bono->hora) ?></td>
                <td><?= $this->Number->format($bono->activo) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $bono->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $bono->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $bono->id], ['confirm' => __('Are you sure you want to delete # {0}?', $bono->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
