<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\FeriaUsado[]|\Cake\Collection\CollectionInterface $feriaUsados
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Feria Usado'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="feriaUsados index large-9 medium-8 columns content">
    <h3><?= __('Feria Usados') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chassis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modelo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('año') ?></th>
                <th scope="col"><?= $this->Paginator->sort('color') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chapa') ?></th>
                <th scope="col"><?= $this->Paginator->sort('antes') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ahora') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($feriaUsados as $feriaUsado): ?>
            <tr>
                <td><?= $this->Number->format($feriaUsado->id) ?></td>
                <td><?= h($feriaUsado->chassis) ?></td>
                <td><?= h($feriaUsado->modelo) ?></td>
                <td><?= h($feriaUsado->año) ?></td>
                <td><?= h($feriaUsado->color) ?></td>
                <td><?= h($feriaUsado->chapa) ?></td>
                <td><?= $this->Number->format($feriaUsado->antes) ?></td>
                <td><?= $this->Number->format($feriaUsado->ahora) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $feriaUsado->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $feriaUsado->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $feriaUsado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $feriaUsado->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
