<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actiones') ?></li>
        <li><?= $this->Html->link(__('Nuevo Prueba'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="pruebas index large-9 medium-8 columns content">
    <h3><?= __('Pruebas') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('descripcion') ?></th>
                <th scope="col" class="actions"><?= __('Actiones') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($pruebas as $prueba): ?>
            <tr>
                <td><?= $this->Number->format($prueba->id) ?></td>
                <td><?= h($prueba->descripcion) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('Ver'), ['action' => 'view', $prueba->id]) ?>
                    <?= $this->Html->link(__('Editar'), ['action' => 'edit', $prueba->id]) ?>
                    <?= $this->Form->postLink(__('Borrar'), ['action' => 'delete', $prueba->id], ['confirm' => __('Desea eliminar registro # {0}?', $prueba->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('Primero')) ?>
            <?= $this->Paginator->prev('< ' . __('Anterior')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('Siguiente') . ' >') ?>
            <?= $this->Paginator->last(__('Ultimo') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Pagina {{page}} de {{pages}}, mostrando {{current}} registro(s) de {{count}} total')]) ?></p>
    </div>
</div>
