<?= $this->Html->css('bootstrap.min.css') ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE STOCK DE VEHICULOS</h4>
            <div class="table-responsive">
                <?php echo $this->Form->create('Stocks', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Stocks', 'action' => 'kilometraje'))); ?>
                <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis o modelo...')); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
                <?php echo $this->Form->end(); ?>
            </div>
        </div>

        <div class="table-responsive">
            <table class="table  table-sm">
                <thead>
                    <tr>
                        <th></th>
                        <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                        <th><?= $this->Paginator->sort('ano', 'Año', ['escape' => false]) ?></th>
                        <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                        <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                        <th><?= $this->Paginator->sort('kilometraje', ['Kilometraje']) ?></th>
                        <th><?= $this->Paginator->sort('tipollanta', ['Tipo Llanta']) ?></th>
                        <th><?= $this->Paginator->sort('colorido', ['Colorido']) ?></th>
                        <th><?= $this->Paginator->sort('techo_panoramico', ['Techo Panoramico']) ?></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($stocks as $stock) : ?>
                        <tr>
                            <td>
                                <?php
                                $imgfile = (WWW_ROOT . '/img/chasisthumbs/thumb_' . $stock->imagen);
                                if (file_exists($imgfile)) :
                                    echo $this->Html->image('/img/chasisthumbs/thumb_' . $stock->imagen, array('width' => 80, 'height' => 60, 'url' => ['action' => 'view', $stock->id]));
                                else :
                                    echo $this->Html->image('/img/logohvn.png', array('width' => 80, 'height' => 60, 'url' => ['action' => 'view', $stock->id]));
                                endif;
                                ?>

                                <!-- <?= $this->Html->image('/img/chasisthumbs/thumb_' . $stock->imagen, array('width' => 80, 'height' => 60, 'url' => ['action' => 'view', $stock->id])); ?> -->

                            </td>
                            <td><?= h($stock->modelo) ?></td>
                            <td><?= h($stock->ano) ?></td>
                            <td><?= h($stock->color) ?></td>
                            <td><?= h($stock->chasis) ?></td>
                            <td><?= h($stock->kilometraje) ?></td>

                            <td><?php
                                if ($stock->tipollanta == 0) {
                                    echo 'Normal';
                                } else {
                                    if ($stock->tipollanta == 1) {
                                        echo 'Tipo 1';
                                    } else {
                                        echo 'Tipo 2';
                                    }
                                }
                                ?></td>
                            <td><?php
                                if ($stock->colorido == 0) {
                                    echo 'No';
                                } else {
                                    echo 'Colorido';
                                }
                                ?></td>
                            <td><?php
                                if ($stock->techo_panoramico == 0) {
                                    echo 'No';
                                } else {
                                    echo 'Panoramico';
                                }
                                ?></td>
                            <td>
                                <?= $this->Html->link('VER', ['action' => 'view', $stock->id], ['class' => 'btn btn-sm btn-info']) ?>
                                <?= $this->Form->button('Cargar Kilometraje', ['class' => 'btn-kilometraje btn btn-sm btn-primary', 'data-stockid' => $stock->id]) ?>
                                <?= $this->Form->button('Cargar tipo llanta', ['class' => 'btn-tipollanta btn btn-sm btn-success', 'data-stockid' => $stock->id]) ?>
                                <?= $this->Form->button('Cambiar Color', ['class' => 'btn-cambiocolor btn btn-sm btn-primary', 'data-stockid' => $stock->id, 'data-stockchasis' => $stock->chasis]) ?>

                                <?php
                                if ($stock->colorido == 0) {
                                    echo $this->Form->postLink('Colorido', ['action' => 'colorchange/1', $stock->id], ['confirm' => 'Marcar como colorido ?', 'class' => 'btn btn-sm btn-info', 'style' => 'background-color: chocolate;border-color: #813d0d;']);
                                } else {
                                    echo $this->Form->postLink('No suma color', ['action' => 'colorchange/0', $stock->id], ['confirm' => 'Marcar como normal ?', 'class' => 'btn btn-sm btn-info', 'style' => 'background-color: chocolate;border-color: #813d0d;']);
                                }
                                ?>

                                <?php
                                if ($stock->techo_panoramico == 0) {
                                    echo $this->Form->postLink('Techo', ['action' => 'techo_panoramico/1', $stock->id], ['confirm' => 'Marcar como Techo Panoramico ?', 'class' => 'btn btn-sm btn-info', 'style' => 'background-color: #9f9624 ;border-color: #813d0d;']);
                                } else {
                                    echo $this->Form->postLink('Sin Techo', ['action' => 'techo_panoramico/0', $stock->id], ['confirm' => 'Marcar como normal ?', 'class' => 'btn btn-sm btn-info', 'style' => 'background-color: #9f9624 ;border-color: #813d0d;']);
                                }
                                ?>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>


<div id="modal-kilometraje" class="modal" style="max-width: 400px; margin: 0 auto;">
    <div class="modal-content">
        <div style="margin-left: 10px;margin-right: 10px;margin-top: 10px;margin-bottom: 10px;">
            <h4>Cargar Kilometraje</h4>
            <?= $this->Form->create(null, ['id' => 'form-kilometraje']) ?>
            <?= $this->Form->input('id', ['label' => 'Id', 'readonly' => true]) ?>
            <?= $this->Form->input('kilometraje', ['label' => 'Kilometraje']) ?>
            <?= $this->Form->button('Guardar', ['class' => 'modal-close btn btn-primary btn-lg btn-block']) ?>
            <?= $this->Form->end() ?>
            </br>
            <button class="modal-close btn btn-danger btn-lg btn-block">Cerrar</button>
        </div>
    </div>
</div>

<div id="modal-tipollanta" class="modal" style="max-width: 400px; margin: 0 auto;">
    <div class="modal-content">
        <div style="margin-left: 10px;margin-right: 10px;margin-top: 10px;margin-bottom: 10px;">
            <h4>Cargar tipo llanta</h4>
            <?= $this->Form->create(null, ['id' => 'form-tipollanta']) ?>
            <?= $this->Form->input('id', ['label' => 'Id', 'readonly' => true]) ?>
            <?= $this->Form->input('tipollanta', ['label' => 'Tipo de Llanta', 'options' => ['0' => 'Normal', '1' => 'Tipo 1', '2' => 'Tipo 2']]) ?>
            <?= $this->Form->button('Guardar', ['class' => 'modal-close-tipollanta btn btn-primary btn-lg btn-block']) ?>
            <?= $this->Form->end() ?>
            </br>
            <button class="modal-close btn btn-danger btn-lg btn-block">Cerrar</button>
        </div>
    </div>
</div>

<div id="modal-cambiocolor" class="modal" style="max-width: 400px; margin: 0 auto;">
    <div class="modal-content">
        <div style="margin-left: 10px;margin-right: 10px;margin-top: 10px;margin-bottom: 10px;">
            <h4>Cambiar Color</h4>
            <?= $this->Form->create(null, ['id' => 'form-cambiocolor']) ?>
            <?= $this->Form->input('id', ['label' => 'Id del Vehículo', 'readonly' => true]) ?>
            <?= $this->Form->input('chasis', ['label' => 'Chasis', 'readonly' => true]) ?>
            <?= $this->Form->input('color', ['label' => 'Color', 'options' => $opciones]) ?>
            <?= $this->Form->button('Guardar', ['class' => 'modal-close-cambiocolor btn btn-primary btn-lg btn-block']) ?>
            <?= $this->Form->end() ?>
            </br>
            <button class="modal-close btn btn-danger btn-lg btn-block">Cerrar</button>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
<script>
    $(document).ready(function() {
        // Inicializa el modal
        $('.modal').modal();

        $('.modal-close').click(function() {
            $('#modal-kilometraje').modal('close');
        });

        $('.modal-close-tipollanta').click(function() {
            $('#modal-tipollanta').modal('close');
        });

        $('.modal-close-cambiocolor').click(function() {
            $('#modal-cambiocolor').modal('close');
        });

        // Maneja el evento de clic en el boton de "Cargar Kilometraje"
        $('.btn-kilometraje').click(function(e) {
            e.preventDefault();

            // Obtiene el ID del stock
            var stockId = $(this).data('stockid');
            console.log("stockId--> " + stockId);

            // Establece el valor del campo oculto del formulario con el ID del stock
            $('#form-kilometraje input[name="id"]').val(stockId);

            // Abre el modal
            $('#modal-kilometraje').modal('open');
        });

        // Maneja el evento de clic en el boton de "Cargar tipollanta"
        $('.btn-tipollanta').click(function(e) {
            e.preventDefault();

            // Obtiene el ID del stock
            var stockId = $(this).data('stockid');
            console.log("stockId--> " + stockId);

            // Establece el valor del campo oculto del formulario con el ID del stock
            $('#form-tipollanta input[name="id"]').val(stockId);

            // Abre el modal
            $('#modal-tipollanta').modal('open');
        });

        // Maneja el evento de clic en el boton de "Cambiar Color"
        $('.btn-cambiocolor').click(function(e) {
            e.preventDefault();

            // Obtiene el ID del stock
            var stockId = $(this).data('stockid');
            var stockChasis = $(this).data('stockchasis');
            console.log("stockId--> " + stockId);

            // Establece el valor del campo oculto del formulario con el ID del stock
            $('#form-cambiocolor input[name="id"]').val(stockId);
            $('#form-cambiocolor input[name="chasis"]').val(stockChasis);

            // Abre el modal
            $('#modal-cambiocolor').modal('open');
        });


        // Maneja el evento de envio del formulario del modal
        $('#form-kilometraje').submit(function(e) {
            e.preventDefault();

            // Realiza una solicitud Ajax al servidor
            jQuery.ajax({
                url: 'https://app.hvnimportaciones.com.py/stocks/addkilometraje', // Reemplaza "tu_controlador" y "tu_accion" con los nombres reales
                type: 'POST',
                async: true,
                cache: false,
                data: $('#form-kilometraje').serialize(),
                success: function(response) {
                    console.log($('#form-kilometraje').serialize());
                    console.log("ok");
                    location.reload();
                },
                error: function(response) {
                    console.log($('#form-kilometraje').serialize());
                    console.log("error");
                    console.log(response.responseText);
                }
            });
        });

        //
        $('#form-tipollanta').submit(function(e) {
            e.preventDefault();

            // Realiza una solicitud Ajax al servidor
            jQuery.ajax({
                url: 'https://app.hvnimportaciones.com.py/stocks/addtipollanta', // Reemplaza "tu_controlador" y "tu_accion" con los nombres reales
                type: 'POST',
                async: true,
                cache: false,
                data: $('#form-tipollanta').serialize(),
                success: function(response) {
                    console.log($('#form-tipollanta').serialize());
                    console.log("ok");
                    location.reload();
                },
                error: function(response) {
                    console.log($('#form-tipollanta').serialize());
                    console.log("error");
                    console.log(response.responseText);
                }
            });
        });

        $('#form-cambiocolor').submit(function(e) {
            e.preventDefault();

            // Realiza una solicitud Ajax al servidor
            jQuery.ajax({
                url: '/stocks/addcambiocolor', 
                type: 'POST',
                async: true,
                cache: false,
                data: $('#form-cambiocolor').serialize(),
                success: function(response) {
                    console.log($('#form-cambiocolor').serialize());
                    console.log("ok");
                    location.reload();
                },
                error: function(response) {
                    console.log($('#form-cambiocolor').serialize());
                    console.log("error");
                    console.log(response.responseText);
                }
            });
        });

    });
</script>


<style>
    .modal-close {
        margin-left: auto;
    }

    /* Media query para pantallas mas pequenhas */
    @media (max-width: 768px) {
        .modal {
            width: 100%;
            max-width: none;
        }
    }
</style>
