<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Actualizados Controller
 *
 * @property \App\Model\Table\ActualizadosTable $Actualizados
 *
 * @method \App\Model\Entity\Actualizado[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class ActualizadosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $actualizados = $this->paginate($this->Actualizados);

        $this->set(compact('actualizados'));
    }

    /**
     * View method
     *
     * @param string|null $id Actualizado id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $actualizado = $this->Actualizados->get($id, [
            'contain' => []
        ]);

        $this->set('actualizado', $actualizado);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $actualizado = $this->Actualizados->newEntity();
        if ($this->request->is('post')) {
            $actualizado = $this->Actualizados->patchEntity($actualizado, $this->request->getData());
            if ($this->Actualizados->save($actualizado)) {
                $this->Flash->success(__('The actualizado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The actualizado could not be saved. Please, try again.'));
        }
        $this->set(compact('actualizado'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Actualizado id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $actualizado = $this->Actualizados->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $actualizado = $this->Actualizados->patchEntity($actualizado, $this->request->getData());
            if ($this->Actualizados->save($actualizado)) {
                $this->Flash->success(__('The actualizado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The actualizado could not be saved. Please, try again.'));
        }
        $this->set(compact('actualizado'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Actualizado id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $actualizado = $this->Actualizados->get($id);
        if ($this->Actualizados->delete($actualizado)) {
            $this->Flash->success(__('The actualizado has been deleted.'));
        } else {
            $this->Flash->error(__('The actualizado could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
