<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * AdelantoChapas Controller
 *
 * @property \App\Model\Table\AdelantoChapasTable $AdelantoChapas
 *
 * @method \App\Model\Entity\AdelantoChapa[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AdelantoChapasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $hoy = getdate();
        $mesestotal = $hoy['mon'];
        $pila = array();

        
        for ($i = 1; $i <= $mesestotal; $i++) {
           array_push($pila, $i);
        }
        $this->set('meses', $pila);
    }

    public function mes($mes = null)
    {

        $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");

        $tipo = 0;
        if($this->Auth->User('id') == 3){
            $tipo = 3;
        }
        if($this->Auth->User('id') == 2){
            $tipo = 4;
        }

        if($this->Auth->User('id') == 48){
            $tipo = 7;
        }

        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","28","31","30","31","30","31","31","30","31","30","31");
       
        $desde = "01/".$mes."/".$hoy['year'];
        $hasta = $ultimodia[$mes]."/".$mes."/".$hoy['year'];
        
        $adelantoChapas = $this->paginate($this->AdelantoChapas, ['conditions' => ['tipo'  =>  $tipo,
            "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy')"
         ]]);

        $this->set(compact('adelantoChapas'));
         $this->set('mes' , $mesletra[$mes] );
    }

    /**
     * View method
     *
     * @param string|null $id Adelanto Chapa id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $adelantoChapa = $this->AdelantoChapas->get($id, [
            'contain' => []
        ]);

        $this->set('adelantoChapa', $adelantoChapa);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $adelantoChapa = $this->AdelantoChapas->newEntity();
        if ($this->request->is('post')) {
            $adelantoChapa = $this->AdelantoChapas->patchEntity($adelantoChapa, $this->request->getData());
            if ($this->AdelantoChapas->save($adelantoChapa)) {
                $this->Flash->success(__('The adelanto chapa has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The adelanto chapa could not be saved. Please, try again.'));
        }
        $this->set(compact('adelantoChapa'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Adelanto Chapa id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $adelantoChapa = $this->AdelantoChapas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $adelantoChapa = $this->AdelantoChapas->patchEntity($adelantoChapa, $this->request->getData());
            if ($this->AdelantoChapas->save($adelantoChapa)) {
                $this->Flash->success(__('The adelanto chapa has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The adelanto chapa could not be saved. Please, try again.'));
        }
        $this->set(compact('adelantoChapa'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Adelanto Chapa id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $adelantoChapa = $this->AdelantoChapas->get($id);
        if ($this->AdelantoChapas->delete($adelantoChapa)) {
            $this->Flash->success(__('The adelanto chapa has been deleted.'));
        } else {
            $this->Flash->error(__('The adelanto chapa could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
